## Word Library `New`

The .NET MAUI Word library (Essential DocIO) allows you to add advanced Word document processing functionalities to any .NET MAUI application and does not require Microsoft Word application to be installed in the machine. It is a non-UI component that provides a full-fledged document instance model similar to the Microsoft Office COM libraries to iterate with the document elements explicitly and perform necessary manipulation. Using this library, you can create, read, edit and convert Word documents programmatically.

### Key features

* Create Word document from scratch.
* Open (read), modify and save existing Word documents.
* Advanced Mail merge support with different data sources.
* Create or edit Word 97-2003 and later version documents (DOCX), and convert them to commonly used file formats such as RTF, WordML, TXT, HTML and vice versa.
* Export a Word document as a PDF file.
* Create and manipulate charts, Shapes, and Group shape in DOCX and WordML format documents.
* Read and write Built-In and Custom Document Properties.
* Find and replace text with its original formatting.
* Insert Bookmarks and navigate corresponding bookmarks to insert, replace, and delete content.
* Insert and edit the form fields.
* Protect the document to restrict access to the elements present within the document.
* Encrypt and decrypt Word documents.
* Insert and extract OLE objects.
* Run the DocIO applications in multi-thread and its thread safe.
* Word library is compatible with .NET MAUI Windows, iOS, and Android.