## SfRichTextBoxAdv


### Breaking Changes
{:#sfrichtextboxadv-breaking-changes}

* \#I399733 - Disposed all the resources used by SfRichTextBoxAdv instance inside Unloaded event internally. This change is added to automatically release the memory utilized by SfRichTextBoxAdv instance when it is unloaded. This behavior change may introduce a break, if you remove the SfRichTextBoxAdv instance from its parent container and add it to the same or another parent container in your application. In case you used such logic in your application, then kindly add below code before removing the SfRichTextBoxAdv instance from its parent container.

|    <br>Old code                                                                                                                                                                                                           |    <br>New code                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          |
|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
|    <br>//Remove the control from   the parent Grid<br>   <br>grid.Children.Remove(richTextBoxAdv);<br>   <br> <br>   <br>//Add the SfRichTextBoxAdv   control to the Grid<br>   <br>grid.Children.Add(richTextBoxAdv);    |    <br>//Create a file stream<br>   <br>MemoryStream   memoryStream = new MemoryStream();<br>   <br>//Save the document to the   stream <br>   <br>richTextBoxAdv.Save(memoryStream,   FormatType.Docx);<br>   <br>//Remove the control from   the parent Grid<br>   <br>grid.Children.Remove(richTextBoxAdv);<br>   <br> <br>   <br>//Create new instance of SfRichTextBoxAdv<br>   <br>richTextBoxAdv   = new SfRichTextBoxAdv();<br>   <br>//Add the SfRichTextBoxAdv   control to the Grid<br>   <br>grid.Children.Add(richTextBoxAdv);<br>   <br>//Load the saved stream   into SfRichTextBoxAdv<br>   <br>richTextBoxAdv.Load(memoryStream,   FormatType.Docx);    |