## DocIO

### Features
{:#DocIO-features}

* \#I186983, \#I333774, \#I335509, \#I338257 - Provided a support to preserve comments in Word to PDF conversion.

### Bug Fixes
{:#DocIO-bug-fixes}

* \#I336964 - The **OutOfMemoryException** will no longer be thrown while cloning a Word document.
* \#I339817 - DocProperty Field is now updated properly while calling `UpdateDocumentFields()` method.
* \#I337901 - IF field is now updated properly while calling `UpdateDocumentFields()` method.
* \#I340459 - HTML tags are now preserved properly while converting a Word document to HTML.
* \#I340918 - Table border is now preserved properly while converting a Word document to PDF.
* \#I335509 - RTL table is now preserved properly while converting a Word document to PDF.
* \#I340452 - Text is now preserved properly while converting a Word document to PDF.
* \#I338617, \#I338693, \#I337927 - Hanging issue has been resolved while converting a Word document to PDF.
* \#I339721 - The **NullReferenceException** will no longer be thrown while converting a Word document to PDF.
* \#I339840 - The **IndexOutOfRangeException** will no longer be thrown while converting a Word document to PDF.
* \#I339591 - The **ArgumentException** will no longer be thrown while converting a DOC format document to PDF.
* \#I337145 - Shape content is now preserved properly while converting a Word document to PDF.
* \#I337139 - List number is now preserved properly while converting a Word document to PDF.
* \#I339224, \#I337142 - Image is now preserved properly while converting a Word document to PDF.
* \#I338971 - The **NullReferenceException** will no longer be thrown while a converting Word document to PDF.
* \#I338277 - RTL text is now preserved properly while converting a Word document to PDF.
* \#I337903 - Text color is now preserved properly while converting a Word document to PDF.
* \#I337902 - Tab position is now updated properly while converting a Word document to PDF.
* \#I337734 - Complex script font is now preserved properly while converting a Word document to PDF.
* \#I337148 - Textbox is now preserved properly while converting a Word document to PDF.
* \#I337146 - Text is now preserved properly while converting a Word document to PDF.
* \#I304673, \#I340821, \#I339630, \#I339435, \#I337277, \#I338429 - Table is now preserved properly while converting a Word document to PDF.
* \#I340121, \#I341086 - Line shape is now preserved properly while converting a Word document to Image.
* \#FB27930 - Document will no longer be corrupted while resaving a DOCX format document.
* \#FB27676 - The **ArgumentNullException** will no longer be thrown while opening a DOCX format document.
* \#FB27639 - List number is now preserved properly while converting a DOCX format document to HTML.
* \#FB27307 - Image is now preserved properly while resaving a DOCX format document.
* \#FB27108 - The **EndOfStreamException** will no longer be thrown while opening a DOC format document.
* \#I327306, \#I334309, \#I336202, \#I336652 - Table is now preserved properly while converting the DOCX format document to PDF.
* \#I331426 - Text form field is now preserved properly while replacing the text of text form field.
* \#I330485 - Ole object is now preserved properly while saving the DOCX format document.
* \#I327263 - Hanging issue has been resolved while calling `RejectChanges()` method.
* \#I333912, \#I334480, \#FB26557 - IF field is now updated properly while calling `UpdateDocumentFields()` method.
* \#I333832 - Comment is now parsed properly while opening the RTF format document.
* \#I334216 - Paragraph is now preserved properly while converting the DOCX format document to PDF.
* \#I334851 - Comment is now parsed properly while opening the DOC format document.
* \#I335253 - The **ArgumentNullException** will no longer be thrown while opening the DOCX format document.
* \#I334753 - The **InvalidOperationException** will no longer be thrown while converting the DOCX format document to HTML.
* \#I335244 - Heading paragraph is now exported as bookmark properly while converting the RTF format document to PDF.
* \#I335094 - Hanging issue has been resolved while calling `AcceptChanges()` method.
* \#I336652 - Textbox is now preserved properly while converting the DOCX format document to PDF.
* \#I334644 - Bookmark content is now replaced properly while calling `ReplaceBookmarkContent()` method.
* \#I336519 - Image is now preserved properly while resaving the DOCX format document.
* \#FB26691 - List numbering is now preserved properly while merging the Word documents.
* \#FB26614 - Date field is now updated properly while calling `UpdateDocumentFields()` method.
* \#I325898 - Table border is now preserved properly while converting a Word document to PDF.
* \#I331492 - Shape is now preserved properly while converting a Word document to PDF.
* \#I331818 - Image positioning is now preserved properly while converting a Word document to PDF.
* \#I331611 - Exponent text is now preserved properly while converting a Word document to PDF.
* \#F165847 - WCAG standard will be maintained in Word to PDF conversion with PDF/A1A conformance.
* \#I332387 - The **ArgumentNullException** will no longer be thrown when converting a Word document to PDF.
* \#FB26471 - Page number is now updated properly while converting a Word document to PDF.
* \#I320911 - RTL number is now preserved properly while converting a Word document to PDF.
* \#I333811 - Text is now aligned properly while converting a Word document to PDF.
* \#I333912, \#I334483, \#I333550 - Text is now preserved properly while converting a Word document to PDF.
* \#I335265, \#I336652 - List number is now preserved properly while converting a Word document to PDF.
* \#I335256 - Heading paragraphs in table cell is now skipped to export as a bookmark while converting a Word document to PDF.
* \#I335510 - Table is now preserved properly while converting a Word document to PDF.
* \#FB26928 - RTL paragraph is now aligned properly while converting Word document to PDF.
* \#I331818, \#I335853, \#I332666 - Hanging issue has been resolved while converting a Word document to PDF.
* \#I336652 - Picture bullet is now preserved properly while converting a Word document to PDF.
* \#I336652 - Text size is now preserved properly while converting a Word document to PDF.
* \#I336652 - Shape is now positioned properly while converting a Word document to PDF.
* \#FB27360 - List character is now preserved properly while converting a Word document to PDF.
* \#I337255 - Text in table cell is now preserved properly while converting a Word document to PDF.
* \#I336652, \#I337144 - Tab is now preserved properly while converting Word document to PDF.
* \#I336652 - Underline is now preserved properly when converting a Word document to PDF.