## SfChart

### Improvements

{:#sfchart-improvements}

* \#179613 - Performance of [`StackingAreaSeries`](https://help.syncfusion.com/cr/cref_files/xamarin-android/Syncfusion.SfChart.Android~Com.Syncfusion.Charts.StackingAreaSeries.html) has been improved while scrolling the Chart in ScrollView.

* \#177627 - Now, the [`DateTimeAxis`](https://help.syncfusion.com/cr/cref_files/xamarin-android/Syncfusion.SfChart.Android~Com.Syncfusion.Charts.DateTimeAxis.html) labels will not be shifted while panning the chart.

* \#180279 - Support for binding custom objects to `ItemsSource` have been provided.

* \#176899 - Exposed a property called `ShowTrackballInfo` in ChartSeries to control its trackball label visibility.

### Breaking Changes

{:#sfchart-breaking-changes}

* `DataMarkerLabel.XPos` and `DataMarkerLabel.YPos` properties have been renamed as `DataMarkerLabel.XPosition` and `DataMarkerLabel.YPosition` respectively.

* The signature of ChartZoomPanBehavior.ZoomByRange method has been changed to `ChartZoomPanBehavior.ZoomByRange (DateTimeAxis, DateTime, DateTime)` from `ChartZoomPanBehavior.ZoomByRange (DateTimeAxis, Date, Date)`.

* The `ChartPointInfo.Visible` property has been renamed as `ChartDataPointInfo.IsVisible`.

* The enum `Orientation` has been renamed as `ChartOrientation`.

* The type of `ChartColorModel.CustomColors` property has been changed to `IList<Color>`.

* `CandleSeries.SolidCandlesEnabled` property has be renamed to `EnableSolidCandles`.

* `CartesianSeries.FindNearestChartPoint(PointF)` method argument has been changed to `FindNearestChartPoints(float x, float y)`.

* Properties which accepts `ObservableArrayList` as its value should now be assigned with `ObservableCollection`.

* Deprecated the `ChartSeries.DataSource`, use `ChartSeries.ItemsSource` property instead.

* Deprecated the `ChartSeries.AnimationEnabled` property, use `ChartSeries.EnableAnimation` property instead.

* Deprecated the `LabelCreatedEventArgs.P1` property, use `LabelCreatedEventArgs.AxisLabel` property instead

* Deprecated the `DataMarkerLabelCreatedEventArgs.P0` property, use `DataMarkerLabelCreatedEventArgs.DataMarkerLabel` property instead.

* Deprecated the `ZoomStartEventArgs.P1`, `ZoomDeltaEventArgs.P1`, `ZoomEndEventArgs.P1`, `SelectionZoomStartEventArgs.P1`, `SelectionZoomDeltaEventArgs.P1`, `SelectionZoomEndEventArgs.P1`, `ScrollEventArgs.P1`, `ResetZoomEventArgs.P1`, `TooltipDismissEventArgs.P0` and `TooltipCreatedEventArgs.P0`, access the properties directly instead.

* `LabelsGeneratedEventArgs.P0`, `LabelsGeneratedEventArgs.P1` properties have been removed. Instead, added `LabelsGeneratedEventArgs.SfChart` and `LabelsGeneratedEventArgs.Labels` properties.

* Now, `DateTimeAxis.VisibleRange.Start` and `DateTimeAxis.VisibleRange.End` properties return the OLE automation date of visible start and end instead of millisecond value of date. Please refer the below code snippet to convert the `DateTimeAxis.VisibleRange.Start` and `DateTimeAxis.VisibleRange.End` properties to DateTime.


{% highlight c# %}

    var dateTimeAxis = chart.PrimaryAxis as DateTimeAxis; 

    var visibleRange = dateTimeAxis.VisibleRange; 

    var startDate = DateTime.FromOADate(visibleRange.Start); 

    var endDate = DateTime.FromOADate(visibleRange.End);
    
{% endhighlight %}
