﻿## DocIO

### Bug Fixes
{:#DocIO-bug-fixes}

* \#295922 - Bookmarks are now added properly while converting a Word document to PDF.
* \#295809, \#295808 - Pagination issue will no longer occur while converting a Word document to PDF.
* \#297287 - Improved the track changes balloons rendering algorithm in Word to PDF conversion.
* \#297451 - List numbering is now preserved properly while converting a Word document to PDF.
* \#297181 - Hanging will no longer occur while converting a Word document to PDF.
* \#294479 - Paragraph with deletion revision is now preserved properly while converting a Word document to PDF.
* \#294479 - Page border is now preserved properly while converting a Word document to PDF.
* \#295809 - Table is now preserved properly while converting a Word document to PDF.
* \#295917 - Gutter position is now used properly while converting a Word document to PDF.
* \#294479 - Shape is now preserved properly while converting a Word document to PDF.
* \#293792, \#293746 - The **NullReferenceException** will no longer be thrown while converting a Word document to PDF.
* \#294683 - The **System.FormatException** will no longer be thrown while converting a Word document to PDF.
* \#297287 - The **IndexOutOfRangeException** will no longer be thrown while converting a Word document to PDF.
* \#293689 - Paragraph alignment is now preserved properly while converting a Word document to PDF.
* \#293366, \#297796, \#295118, \#295806 - Hanging will no longer occur while converting a Word document to PDF.
* \#290028, \#292914 - Table row is now preserved properly while converting a Word document to PDF.
* \#292975 - Chart is now preserved properly while converting a Word document to PDF.
* \#294253 - Table is now properly preserved while converting a Word document to PDF.
* \#292995 - The font substitution algorithm is now optimized to reduce memory usage while converting a Word document to PDF.
* \#253061 - Text is now preserved properly while opening an RTF format Word document.
* \#298703,\#298816, \#298598 - The **KeyNotFoundException** will no longer be thrown while open and saving a Word document.
* \#298174, \#296029 - The **ArgumentOutOfRangeException** will no longer be thrown while opening a Word document.
* \#294479 - List numbering is now preserved properly while converting a Word document to PDF.
* \#260100 - Field is now unlinked properly while calling `Unlink()` method.
* \#295763 - The performance issue has been resolved while opening a RTF format document.
* \#293751 - Custom shape is now properly included in the unsupported element’s warning messages while converting a Word document to PDF.
* \#294603 - List numbering is now preserved properly while calling `UpdateTableOfContents()` method.
* \#295123 - List value is now preserved properly in WordPad while converting HTML to RTF format document.
* \#293261 - The screen tip text is now parsed properly while opening a DOCX format document.
*  Image color is now preserved properly while open and saving a Word document.
* \#294151 - Nested bookmarks contents are now preserved properly while removing a bookmark contents.
* \#293447 - Revision details are now cloned properly while importing a Word document.
* \#293895 - The **FormatException** will no longer be thrown while opening a Word document.
* \#293580 - Hyperlink display text is now preserved properly while opening a RTF format document.
* \#293578 - Merge field names are now retrieved properly while calling `GetMergeFieldNames()` method.
* \#293338 - The hanging issue will no long be occur while calling `AcceptChanges()` method.
* \#293610 - GridBefore value is now calculated properly while opening a RTF format document.
* \#288073 - Field is now preserved properly while resaving Word2003 Open XML format document.
* \#292280 - Table is now preserved properly while converting RTF to DOCX format document.
* \#291705 - List numbering is now preserved properly while converting a Word document to Text file.
* \#290028 - Table border size is now preserved properly while resaving a DOCX format document.
* \#290664 - Paragraph text is now preserved properly while converting DOC format document to PDF.
* \#291306 - Custom document properties are now updated properly while calling `UpdateDocumentFields()` method.
* \#290352, \#297287 - The **InvalidOperationException** will no longer be thrown while opening a word document.
* \#288916 - Table width is now preserved properly while converting Word document to PDF.
* \#298598 - Table width is now preserved properly while converting a HTML to DOCX format document.