## DocIO

### Bug Fixes
{:#DocIO-bug-fixes}

* \#309545 - Hanging issue has been resolved while converting a Word document to PDF.
* \#309412 - The **ArgumentOutOfRangeException** will no longer be thrown when converting Word document to PDF.
* Column spacing is now properly while converting a Word document to PDF.
* \#305623 - Chinese characters are now preserved properly while resaving a RTF format document.
* The ** InvalidCastException** will no longer be thrown while opening a Word document.
* \#297755, \#302215 - ChildShape positions value is now preserved properly while opening a Word document.
* \#307506 - Text background color is now preserved properly while converting a Word document to HTML file.	
* \#160177 - The **XmlException** will no longer be thrown while opening a Word document.
* \#306696 - Page break is now preserved properly while converting a HTML file to DOCX format conversion.
* Editable ranges is now preserved properly for content controls while resaving a Word document.
* \#305864 - Content formatting is now preserved properly while resaving a Word document.
* \#306498 - Table left indent is now properly preserved while converting a RTF format document to PDF.
* \#307241 - The **NullReferenceException** will no longer be thrown while opening a Word document.
* \#306319 - Content is now preserved properly while converting a DOCX to RTF format document.
* \#304956 - Content is now preserved properly while converting a Word document to PDF.
* \#305716 - Content controls is now preserved properly while resaving a Word document.
* \#159692 - The `XHTMLValidation.None` type is now working properly while opening an HTML format document.
* \#305277 - The **ArgumentOutOfRangeException** will no longer be thrown while parsing a Word document.
* \#306345 - Symbol is now preserved properly while updating table of content in Word document.
* \#306333 - Image is now preserved properly while calling `UpdateAlternateChunks ()` method.
* \#306112 - Bullet list text is now preserved properly when resaving a Word document.
* \#306498, \#308557 - Table cell width is now preserved properly while converting a RTF format document to PDF.
* \#301823 - Table with horizontally merged cells in now preserved properly while parsing an RTF format document.
* \#302503 - Table is now properly preserved while converting a Word document to PDF.
* \#301968, \#306120 - Document is now preserved properly while importing the Word documents.
* \#302177 - The **ArgumentOutOfRangeException** will no longer be thrown while resaving a Word document.
* \#301208 - Font is now preserved properly when resaving a RTF format document.
* \#294075, \#305802 - Grid span values is now retrieved properly while parsing a RTF format document.
* \#258777 - Table is now properly preserved while converting a Word document to PDF.
* \#308191 - Hanging will no longer occur while converting a Word document to PDF in specific culture.
* \#308099 - Right aligned textbox content is now preserved properly while converting a Word document to PDF.
* \#308058 - Spacing issue has been resolved while converting a Word document to PDF.
* \#305519 - Image is now preserved properly while converting a Word document to PDF.
* \#307596, \#I306667, \#I304349 - Table is now preserved properly while converting a Word document to PDF
* \#307074 - The **NullReferenceException** will no longer be thrown while converting a Word document to PDF.
* \#306359 - Custom list number is now preserved properly while converting a Word document to PDF.
* \#304956 - Paragraph is now preserved properly while converting a Word document to PDF.
* \#307074 - Vertical text in the vertically merged cell is now preserved properly while converting a Word document to PDF.
* \#303897 - Process time is now reduced while converting a Word document to PDF with line breaks.
* \#301907 - Text is now preserved properly while converting a Word document to Image.
* \#305470 - Text Form fields are now preserved properly while converting a Word document to PDF.
* \#310064 - Narrow and Condensed fonts are now preserved properly while converting a Word document to PDF.
