## SfChart

### Improvements

{:#sfchart-improvements}

* \#180279 - Support for binding custom objects to `ItemsSource` have been provided.

* \#176899 - Exposed a property called `ShowTrackballInfo` in ChartSeries to control its trackball label visibility.

### Breaking Changes

{:#sfchart-breaking-changes}

* The type of `SFTechnicalIndicator.SeriesName`, `SFChartTitle.Text`, `SFChartStripLine.Text`, `SFStackingSeries.GroupingLabel` and `SFSeries.Label` properties have been changed to `string` from `NSString`.

* The type of `SFScatterSeries.ScatterWidth` and `SFScatterSeries.ScatterHeight` properties have been changed to `float` from `double`.

* The type of `SFChart.Behaviors` has been changed to `ChartBehaviorCollection` from `NSArray`.

* `SFCartesianSeries.FindNearestDataPoint(CGPoint)` method argument has been changed to `FindNearestChartPoints(float x, float y)`.

* `SFAxisTickStyle.TickPosition` property has been moved to `ChartAxis` class.

* The type of `SFAxis.StripLines` property has been changed to `IList` of StripLine from `NSArray`.

* Now, `DateTimeAxis.VisibleRange.Start` and `DateTimeAxis.VisibleRange.End` properties return the OLE automation date of visible start and end instead of millisecond value of date. Please refer the below code snippet to convert the `DateTimeAxis.VisibleRange.Start` and `DateTimeAxis.VisibleRange.End` properties to DateTime.


{% highlight c# %}

    var dateTimeAxis = chart.PrimaryAxis as SFDateTimeAxis; 
    
    var visibleRange = dateTimeAxis.VisibleRange;

    var startDate = DateTime.FromOADate(visibleRange.Start);

    var endDate = DateTime.FromOADate(visibleRange.End); 
    
{% endhighlight %}