## SfChart

### Bug Fixes

{:#sfchart-bug-fixes}

* \#182505, #182976 - The issue with font family in axis title has been fixed.

* \#181609 - Now, the axis labels render the multiple line texts properly.

* \#183740 - Now, the chart tooltip template is rendering properly even in Xamarin.Forms latest pre-release versions.

* \#181662 - The data marker template is rendering properly in [`PieSeries`](https://help.syncfusion.com/cr/cref_files/xamarin/Syncfusion.SfChart.XForms~Syncfusion.SfChart.XForms.PieSeries.html).

* \#183237 - The [`RangeAreaSeries`](https://help.syncfusion.com/cr/cref_files/xamarin/Syncfusion.SfChart.XForms~Syncfusion.SfChart.XForms.RangeAreaSeries.html) will no longer throw NullReferenceException when using trackball.

### Improvements

{:#sfchart-improvements}

* \#177627 - Now, the [`DateTimeAxis`](https://help.syncfusion.com/cr/cref_files/xamarin/Syncfusion.SfChart.XForms~Syncfusion.SfChart.XForms.DateTimeAxis.html) labels will not shift while panning the chart.

* \#176899 - Exposed a property called `ShowTrackballInfo` in ChartSeries to control its trackball label visibility.

* \#179613 - Performance for [`StackingAreaSeries`](https://help.syncfusion.com/cr/cref_files/xamarin/Syncfusion.SfChart.XForms~Syncfusion.SfChart.XForms.StackingAreaSeries.html) has been improved while scrolling the Chart in ScrollView.

### Breaking Changes

{:#sfchart-breaking-changes}

* Due to internal architecture change, now, it is not required to add `Syncfusion.SfChart.Android.dll` and `Syncfusion.SfChart.iOS.dll` assemblies to your platform specific projects such as Android and iOS in Xamarin.Forms respectively. Hence, you need to remove these two assemblies from your platform specific projects.
* Due to internal architecture change, `ChartSeries.DataCollectionChanged` and `ChartSeries.DataPointValueChanged` events will no longer be raised for performance reasons and these events will be removed in our upcoming release. Instead, you can use the `CollectionChanged` event of your data source and `PropertyChanged` event of your data model respectively.
