## SfPdfViewer

### Bug Fixes
{:#sfpdfviewer-bug-fixes}

* \#255050, \#254983 - Check box field in the PDF can now be edited.
* \#256075 - [iOS] Application will no longer crash while adding text markup annotations on the PDF. 
* \#255974 - [iOS] Application will no longer crash while performing text search on the PDF.
* \#255263 - [Android] Performance delay will no longer occur while zooming the PDF in PageByPage mode.
* \#251108 - [UWP] High memory consumption will no longer occur while loading multiple PDFs. 
* \#254866 - [iOS] Application will no longer crash while performing text search on the PDF.
* \#255009 - [iOS] Search instances will now be properly highlighted while performing text search in the PDF.
* \#256675 - [iOS] Toolbar style will now be updated properly in dark mode. 
* \#255009 - [iOS] SearchPrevious command will now work properly.
* \#256686 - [UWP] Page number will now be properly updated while rotating the PDF pages.
* \#257406 - [iOS] Background color of existing free text annotation will now be preserved. 
* \#149392 - [Android] Application will no longer crash while adding annotations programmatically. 
* \#256567 - [iOS] Zooming operation will no longer be slow for the PDF document.
* \#256779 - Text will now be aligned properly in text box fields while zooming.
* \#257853 - Flattened text box field will no longer be displayed with white background.
* \#255801 - [iOS] Scroll head value will now be updated properly.
* \#257960 - Performance delay will no longer occur while scrolling or zooming the PDF files with high quality images. 
* \#256821 - [iOS] Application will no longer crash when the Cancel button of the signature pad is tapped. 
* \#258516 - [iOS] Performance delay will no longer occur while performing text search in large PDF documents.
* \#258511 - [Android] PDF document will now be displayed with proper zoom value in tablet.
* [Android] Radio button will now be displayed properly in the PDF document.
* \#150353 - [Android] The PDF document will now be loaded in Android 5.1.
* \#150583 - [iOS] The ArgumentOutOfRangeException will no longer be thrown while loading the PDF document.
* \#261694 - Application will no longer crash when long pressed on the PDF.
* \#262969 - The page count separator at the bottom toolbar can be now hidden using the SetToolbarItemVisibility API.
* \#261718 - [Android] Performance delay will no longer occur while scrolling a PDF in landscape mode.
* \#255974 - [iOS] Text search will work properly in the PDF document.
* \#260120 – [iOS] The SearchCompleted event will not be raised when hyperlink is clicked. 
* \#260120 – [iOS] Alert dialog for text search completion will be displayed when a toolbar is disabled. 
* \#260120 – [iOS] Application will no longer crash while clicking the search-previous button after clicking hyperlinks.  
* \#261199 – [iOS] Form fields will no longer be misplaced while loading the PDF document. 
* \#262537 – [Android] The render quality of the PDF pages will no longer in low resolution. 
* \#251108 – [UWP] High memory will no longer be consumed while loading the multiple PDF documents. 
* \#261691 – [iOS] Signature pad cancel and clear buttons will no longer be truncated.
* \#250329 – [Android] Quality of the small signature will no longer be reduced when the PDF is saved. 
* \#263483 – [iOS] Annotations created in SfPdfViewer will be displayed in Adobe Reader. 
* \#150353 – [Android] Display quality of the PDF document will no longer be reduced in landscape orientation.
* \#150353 – [Android] The PDF document will be loaded in Android API 5.1.
* \#262867 – [Android, iOS] Text search will work properly in the PDF document. 
* \#263832 – [Android] Scrolling performance will no longer be reduced when the PDF is loaded. 
* \#264318 - [Android] Text added to the search box will no longer be cropped. 
* Hidden form fields will no longer be displayed.
* \#150353 - The quality of the display of PDF pages will no longer be reduced in landscape orientation.
* [Android] Form fields are now loaded when continuously loading the PDF. 
* \#266221 - [Android, iOS] The NullReferenceException will no longer be thrown while loading the PDF. 
* \#266731 - More options toolbar will now resize if any of its buttons are hidden. 
* \#267097 - [iOS] Application will no longer crash while unloading a PDF in page by page mode.
* \#267870 - [iOS] Application will no longer crash while performing handwritten signature through API. 
* \#267872 - [Android] The pages of the PDF are now rendering properly. 
* \#267622 - [Android] The application will no longer crash when switching to ink annotation mode. 
* \#267969 - [Android] The application will no longer crash when the PDF is saved using the SaveDocumentAsync API. 
* \#263832 - [UWP] High memory consumption will no longer occur when loading very large PDF documents.
* \#263832 - [UWP] The application will no longer crash when switching between the tabs that contain PDF viewers inside. 
* \#263832 - [UWP] Loading large PDFs now takes less time. 
* \#267656 - [iOS] The application will no longer crash when saving the PDF. 
* \#251108 - [UWP] The application will no longer crash when saving and reloading a PDF. 
* \#263832 - [Android] Loading large PDFs now takes less time.
* \#249221 - The application will no longer freeze when performing text selection. 
* \#263678 - The quality of display of PDF pages will no longer be reduced in landscape orientation.
* \#249221 - [UWP] The application will no longer freeze while loading the PDF.
* \#263749 - [Android] GC collection no longer runs forever. 
* \#146060 - [iOS] Setting the PageNumber API now navigates to the proper destination.
* \#266643 - The application will no longer crash when adding and removing pages. 
