## Common

### New Features

- Syncfusion Blazor components is now compatible with .NET 6.0 Release Candidate (RC1). 

- Built-in support added for Bootstrap5 CSS theme with light and dark variants for Syncfusion Blazor components.

- Included PdfViewer, DocumentEditor and Diagram components in [Blazor CRG](https://blazor.syncfusion.com/crg/).

- In 19.2 release, provided optional support to refer the component scripts externally from the application end to increase initial load performance for all the components except PdfViewer, DocumentEditor and Diagram. Now, we extended this support for PdfViewer, DocumentEditor and Diagram components also. If [IgnoreScriptIsolation](https://help.syncfusion.com/cr/blazor/Syncfusion.Blazor.GlobalOptions.html#Syncfusion_Blazor_GlobalOptions_IgnoreScriptIsolation) is set to `true` in [AddSyncfusionBlazor()](https://help.syncfusion.com/cr/blazor/Syncfusion.Blazor.SyncfusionBlazor.html#Syncfusion_Blazor_SyncfusionBlazor_AddSyncfusionBlazor_Microsoft_Extensions_DependencyInjection_IServiceCollection_System_Action_Syncfusion_Blazor_GlobalOptions__), the Syncfusion Blazor components will disable the built-in script isolation and use application-level scripts.

    ```c#
    services.AddSyncfusionBlazor(options =>
    {
        options.IgnoreScriptIsolation = true;
    });
    ```
    
    You can add script reference in one of the following ways,

	**Reference scripts from NuGet**
	
	To add script reference for all component except PdfViewer and DocumentEditor.
	
    ```html
    <script  src="_content/Syncfusion.Blazor/scripts/syncfusion-blazor.min.js"  type="text/javascript"></script>
    ```
		
	To add script reference for `PdfViewer`.
	
    ```html
    <script  src="_content/Syncfusion.Blazor.PdfViewer/scripts/syncfusion-blazor-pdfviewer.min.js"  type="text/javascript"></script>
    ```
		
	To add script reference for `DocumentEditor`.
	
    ```html
    <script  src="_content/Syncfusion.Blazor.WordProcessor/scripts/syncfusion-blazor-documenteditor.min.js"  type="text/javascript"></script>
    ```
	**Reference scripts from CDN**
 
	To add script reference for all component except PdfViewer and DocumentEditor.
	
    ```html
    <script  src="https://cdn.syncfusion.com/blazor/19.3.43/syncfusion-blazor.min.js"  type="text/javascript"></script>
    ```
		
	To add script reference for `PdfViewer`.
	
    ```html
    <script  src="https://cdn.syncfusion.com/blazor/19.3.43/syncfusion-blazor-pdfviewer.min.js"  type="text/javascript"></script>
    ```
		
    To add script reference for `DocumentEditor`.
    
    ```html
    <script  src="https://cdn.syncfusion.com/blazor/19.3.43/syncfusion-blazor-documenteditor.min.js"  type="text/javascript"></script>
    ```

    **Reference scripts by generating used components scripts from Blazor CRG**

	Generate a required component script and styles from Blazor custom resource generator([Blazor CRG](https://blazor.syncfusion.com/crg)) and refer to them in your application.

- Improved initial loading performance for the following components.

    - Textbox
    - Numeric Textbox
    - DatePicker
    - DateTimePicker
    - DateRangePicker
    - TimePicker

|Components|Vol-2, 2021 Release|Vol-3, 2021 Release|
|-------------|------------|------------|
|30 Textboxes and 960 Numeric Textboxes|12-15 sec|8-10 sec|
|1000 Textboxes and 1000 Numeric Textboxes|25-27 sec|17-20sec|

- Removed all the obsolete APIs that are marked on or before 2020 Volume 3 release.

### Bug Fixes

- `#I341649` - The issue with "IntelliSense in Visual Studio doesn't show description when using our Syncfusion Blazor individual NuGet packages" has been fixed.
