## Grid

### Breaking changes

- `#I350014` - In blazor, when we use data validation for complex data binding, we need to use **ValidateComplexType** annotation to perform validation. Refer the link for more details
<a href="https://docs.microsoft.com/en-us/aspnet/core/blazor/forms-validation?view=aspnetcore-5.0#nested-models-collection-types-and-complex-types-1">ValidateComplexType</a>. Now we have changed the our component behavior based on Blazor framework behavior.

- `#I365871`, `#I365351`, `#F171900` - ColumnChooser dialog position misalign when using hierarchy grid or multiple grids in single page is fixed. Here, we have changed the column chooser div element ID selector by concatenate the Grid ID.

### Bug Fixes

- `#I360072` - Able to select mulitple cells using Shift key when Selection type is of Single is fixed.
- `#F29442` -  Problem with sort/filter in grid with virtualization after 'Set State' or 'Reset State' is fixed.
- `#F171133` - Sorting and Filtering disabled columns shown in Sort/Filter dialog when Vertical adaptive rendering is enabled is fixed.
- `#I357973` - HideAtMedia not working properly for max-width when rotating the screen in mobile mode is fixed.
- `#I364740` - Exception throws while filtering the Grid has been resolved.
- `#F32146` - Exception is thrown when canceling Add Dialog form after deleting all the records in the Grid is fixed.
- `#F32310` - Search does not work for multilevel complex queries is fixed.
- `#I30460` - SiblingsHeight is not applied properly when enable persistence with filtering is fixed.
- `#I360371` - Exception throws when rendering grid with autogenerated columns and enabling columnVirtualization is fixed.
- `#F30582` - GridCommandColumn header and editform is not left aligned when it has TextAlign property as Left is fixed.