## Common

### Features

- Support added for Fluent theme with light and dark variants for Syncfusion Blazor components.

- Removed all the obsolete APIs that are marked on or before 2021 Volume 1 release.

### Breaking changes

- [Syncfusion.Blazor.Themes](https://www.nuget.org/packages/Syncfusion.Blazor.Themes/) is removed from dependencies of `Syncfusion.Blazor.Core`. Since, it is not needed when themes are referenced from CDN. If you have referenced themes from static web assets, ensure to refer `Syncfusion.Blazor.Themes` NuGet explicitly from this release. 

- Built-in [JavaScript isolation](https://blazor.syncfusion.com/documentation/common/adding-script-references#javascript-isolation) feature is marked as obsolete and disabled by default, since loading scripts externally provides better performance over JavaScript isolation approach. If you used the JavaScript isolation feature, you have to make one of the following changes.

    **Way 1**: Load scripts externally via [CDN](https://blazor.syncfusion.com/documentation/common/adding-script-references#cdn-reference) or [Static Web Assets](https://blazor.syncfusion.com/documentation/common/adding-script-references#static-web-assets).

    **Way 2**: Enable JavaScript isolation by setting [IgnoreScriptIsolation](https://help.syncfusion.com/cr/blazor/Syncfusion.Blazor.GlobalOptions.html#Syncfusion_Blazor_GlobalOptions_IgnoreScriptIsolation) as `false` while adding Syncfusion Blazor service using `AddSyncfusionBlazor()`. 

    > JavaScript isolation is marked as obsolete. So, way 1 can be used to resolve the breaking change.

    ```
    builder.Services.AddSyncfusionBlazor(options => { options.IgnoreScriptIsolation = false; });
    ```
- The un-versioned CDN links (refer below table) which always maintains latest version scripts are deprecated from 2022 Vol1 - 20.1 version. These links are available with `19.4` version scripts to avoid breaking in sites and apps that uses un-versioned links. 

    | Component | CDN Script Reference |
    | --- | --- |
    |  All components except PDF Viewer & Document Editor | https://cdn.syncfusion.com/blazor/syncfusion-blazor.min.js |
    | PDF Viewer | https://cdn.syncfusion.com/blazor/syncfusion-blazor-pdfviewer.min.js |
    | Document Editor | https://cdn.syncfusion.com/blazor/syncfusion-blazor-documenteditor.min.js |

### Bug Fixes

- `#I370516` - Issue with "Exception throws on number formatting when system region setting formats are changed" has been fixed.
