## Common

### Features

- Added additional support for referring component-wise Blazor scripts externally in the application end. Each component has only one script reference and no need to refer it's dependent component scripts (handled internally to load their dependency scripts automatically) in the application end. Blazor component-wise scripts are also now available in CDN with this release.

    You can add a component script reference in one of the following ways, for example, to use the SfTextBox component script.

    **Reference scripts from NuGet**

    From Syncfusion.Blazor NuGet package:

    ```html
    <script  src="_content/Syncfusion.Blazor/scripts/sf-textbox.min.js"  type="text/javascript"></script>
    ```

    From individual NuGet package:

    ```html
    <script  src="_content/Syncfusion.Blazor.Inputs/scripts/sf-textbox.min.js"  type="text/javascript"></script>
    ```

    **Reference scripts from CDN**

    ```html
    <script  src="https://cdn.syncfusion.com/blazor/20.2.36/sf-textbox.min.js"  type="text/javascript"></script>
    ```

- Improved performance in all blazor components by optimizing message length of SignalR calls.

- Provided support to enable or disable the animation globally by using `Animation` property. If the `Animation` value is `GlobalAnimationMode.Enable`, animation is enabled; If the `Animation` value is `GlobalAnimationMode.Disable`, animation is disabled. Default value of `Animation` is `GlobalAnimationMode.Default`.

    ```c#
     services.AddSyncfusionBlazor(options =>
     {
         options.Animation = GlobalAnimationMode.Disable;
     });
    ```



### Breaking changes

- Syncfusion Blazor components no longer support .NET 5, although we will continue to support .NET 3.1 and .NET 6. We recommend that you upgrade to .NET 6 to take advantage of new features and new components in the latest release. If you are unable to update to .NET 6, you may continue to use version 20.1 in your .NET 5 projects.
- `#I379513` - Asynchronous methods without the `Async` suffix are marked as obsolete since equivalent methods with `Async` suffix already exposed for all methods.
