## Grid

### Bug Fixes

- `#I442345` - Issue with “Touch events prevents grid [scrolling]((https://blazor.syncfusion.com/documentation/datagrid/scrolling)) in touch mode, the grid does not scroll when [AllowDragSelection](https://help.syncfusion.com/cr/blazor/Syncfusion.Blazor.Grids.GridSelectionSettings.html#Syncfusion_Blazor_Grids_GridSelectionSettings_AllowDragSelection) is set to true and [Selection type](https://help.syncfusion.com/cr/blazor/Syncfusion.Blazor.Grids.SelectionType.html) is given as [Multiple](https://help.syncfusion.com/cr/blazor/Syncfusion.Blazor.Grids.SelectionType.html#Syncfusion_Blazor_Grids_SelectionType_Multiple)” has been resolved.
- `#I441190` - Null exception throws When exporting the grid with stacked header, using the [ExcelHeaderQueryCellInfoEvent](https://blazor.syncfusion.com/documentation/datagrid/events#excelheaderquerycellinfoevent) is fixed.
- `#I442734`, `#I442973` - Issue with "Filter Operators are not functioning properly when changing the default operator, using custom dropdowns with filtertemplate in [Menu filter](https://blazor.syncfusion.com/demos/datagrid/filter-menu?theme=fluent)" is fixed.
- `#I444954` - FormatException is thrown when using a grid checkbox filter on a nullable long column, while comma or point is entered in the [search](https://blazor.syncfusion.com/documentation/datagrid/searching) box is fixed.
- `#I443237` - “whitespace issue occurs when [scrolling](https://blazor.syncfusion.com/documentation/datagrid/scrolling) the grid to the bottom with [FrozenColumn](https://blazor.syncfusion.com/documentation/datagrid/scrolling#frozen-rows-and-columns) enabled.“ has been resolved.
- `#I445295` - Issue with "While [exporting to excel](https://blazor.syncfusion.com/documentation/datagrid/excel-exporting) the exported file is corrupted due to Localization" is fixed.
- `#I441190` -  "When a column is [grouped](https://blazor.syncfusion.com/documentation/datagrid/grouping) and [resized](https://blazor.syncfusion.com/documentation/datagrid/column-resizing) in the Grid, the expand icon for the group caption row doesnot render properly" issue has been resolved.
- `#I444136` - Issue with "When using shift + Mouse click, Two cells are selected when [selection type](https://help.syncfusion.com/cr/blazor/Syncfusion.Blazor.Grids.SelectionType) as [single](https://help.syncfusion.com/cr/blazor/Syncfusion.Blazor.Grids.SelectionType.html#Syncfusion_Blazor_Grids_SelectionType_Single)" is fixed.
- `#I439951` - Issue with "Multi selecting records by Shift + DownArrow key, cell indexes trigger exponentially each time in [SelectionMode set as Both](https://help.syncfusion.com/cr/blazor/Syncfusion.Blazor.Grids.SelectionMode.html#Syncfusion_Blazor_Grids_SelectionMode_Both)" is fixed.
- `#I446724` - Issue with "Exception occurs when trying to edit number field column, formatted as currency (C2)" is fixed.
- `#I443691` - Issue with "Empty tooltip showing in [checkbox](https://blazor.syncfusion.com/documentation/datagrid/selection#checkbox-selection) column in the Grid, while using the [ClipMode](https://help.syncfusion.com/cr/blazor/Syncfusion.Blazor.Grids.ClipMode.html) as [EllipsisWithTooltip](https://help.syncfusion.com/cr/blazor/Syncfusion.Blazor.Grids.ClipMode.html#Syncfusion_Blazor_Grids_ClipMode_EllipsisWithTooltip)" is fixed.
- `#I443342` - Issue with "DropDown Pagination after [filtering](https://blazor.syncfusion.com/documentation/datagrid/filtering) a column" is resolved.
- `#I436122` - Issue with "Duplicate column occurs when re-ordering movable columns with [frozen columns](https://blazor.syncfusion.com/documentation/datagrid/scrolling#freeze-particular-columns)" is fixed.
- `#I443684` - Grid shows extra cell borders in firefox browser is fixed.
- `#I439711` - Null exception throws when we drag the header element, downwards in touch mode is fixed.
- `#F180257` - Issue with “PATCH request of OdataV4 adaptor contains unwanted objects when having complex data” has been resolved.
- `#I445781` - Issue with "Border is not applied for the last group caption rows" has been resolved.
- `#I443221` - Issue with “[Resize](https://blazor.syncfusion.com/documentation/datagrid/column-resizing) icon is not shown properly, when the column [visible](https://help.syncfusion.com/cr/blazor/Syncfusion.Blazor.Grids.GridColumn.html#Syncfusion_Blazor_Grids_GridColumn_Visible) property is changed dynamically" has been resolved.
- `#I447941` - “Exception is thrown when performing [search](https://blazor.syncfusion.com/documentation/datagrid/searching) with remote data Foreignkey column and a Checkbox column” has been resolved.
- `#I443235` - Issue with "Shift + mouse wheel Scroll on Grid content, does not perform horizontal scroll when grid has [Frozen columns](https://blazor.syncfusion.com/documentation/datagrid/scrolling#freeze-particular-columns)" is fixed. 
- `#I448990` - Issue with "Frozen line in header is not removed properly" is fixed.
- `#I446345` - Issue with "Focus doesn't moves to the [column chooser](https://blazor.syncfusion.com/documentation/datagrid/column-chooser) icon in the Grid [toolbar](https://blazor.syncfusion.com/documentation/datagrid/tool-bar)" has been fixed.
- `#I443415` - Issue with “[Excel filter](https://blazor.syncfusion.com/documentation/datagrid/excel-like-filter) operator not working in grid DynamicObject“ has been resolved.
- `#I443226` - Issue with “The horizontal scrollbar doesn’t add in the grid while resizing the browser” has been resolved.
- `#I443225` - Issue with “Header and Aggregate content misalign when used with [Resizing](https://blazor.syncfusion.com/documentation/datagrid/column-resizing) and [Column Chooser](https://blazor.syncfusion.com/documentation/datagrid/column-chooser)” has been resolved.
- `#FB37121` - Issue with “Exception throws when filtered row is edited and there is no row remaining “ has been resolved.