## Document Editor

### Bug Fixes

- `#I334754`, `#I337720`, `#F167429` - Resolved the localization issue.
- `#I333264` - Resolved the before spacing issue for the paragraph starting in new page.
- `#I333226` - Resolved the underline issue.
- `#I332508` - Resolved the tracking of multiline and empty paragraph revision.
- `#I335858`, `#F148494` - Resolved the script error in component destroy.
- `#F166420` - Resolved the SFDT exporting issue with shape.
- `#I332253` - Resolved the cut paste hyperlink issue when track changes enabled.
- `#I335409` - Resolved user list updating issue in restrict editing pane.
- `#I328976` - Table and document content is now displayed properly.
- `#I331333` - Resolved the page unresponsive issue when opening a document with nested table.
- `#I331763` - Table with position property is now displayed properly after editing the document.
- `#I330233` - Resolved the extra page issue when updating cross reference field.
- `#I329790`, `#I331351` - Table is now displayed properly based on compatibility mode of the document.
- `#I332483` - Bookmark is now preserved properly after deleting the content from a document containing bookmark.
- `#I331762` - Table with merged cell is now displayed properly.
- `#I330485` - Ole picture is now preserved properly as normal picture.
- `#I330776` - Resolved the casing issue in the suggestions generated by spell checker.
- `#I330982` - Resolved the text encoding problem when pasting with Java server-side library.
- `#I325741` - Footnote is now displayed properly when opening a document.
- `#I331634` - Table with preferred width type percent and allow auto fit property false is now displayed properly.
- `#I331274` - Table positioning property is now preserved properly.
- `#I331667` - Document with building block gallery content control is now exported properly.
- `#I331452` - Footnote inside the table is now displayed properly.
- `#I331606` - Document with block content control is now exported properly.
- `#I331667`, `#I332223` - Shape in footer is now preserved properly.
- `#I330686`, `#I331349`, `#I310463` - Shape fill is now preserved properly.
- `#I332333` - Zoom value is now updated properly in status bar.
- `#I319210` - The changes and comment tab in the review pane will be visible only if at least one tracked change or comment is present in the document.
- `#I337569` - Table in a document with compatibility mode is now displayed properly after editing.
- `#I331349` - Resolved the text clipping issue.
- `#I336632` - Resolved the next style hierarchy issue.
- `#I335857` - Resolved the after spacing preservation issue during copy and paste.
- `#I335107` - Table with position property is now displayed properly when it overlap on another table.
- `#I334036` - Resolved the spell check word by word service triggering issue in optimized spell check mode.
- `#I330165`, `#I327647`, `#I324515`, `#I338278` - Resolved the issues in comment edit, delete, and history operation.
- `#I336315` - Tab character inside absolute positioned table is now displayed properly.
- `#I319206` - Resolved the issue with displaying the horizontal line shape.
- `#F167416` - Line spacing is now preserved properly in server-side export.
- `#I335145`, `#I337499` - Resolved the text size measurement issue when HTML and body tag contains styles.
- `#I339105` - Resolved the number formatting color change issue.
- `#I340265` - Default value for text form field is now preserved properly in Word export.
- `#I336632` - Style names are now properly listed in the drop down of text properties pane.
- `#I338027` - Track changes close icon is now positioned properly in RTL mode.
- `#I337566` - Last empty paragraph (cell mark) inside a table cell after a nested table is now invisible.
- `#I340416` - Resolved the script error with custom toolbar items during destroy.
- `#I337274` - Resolved the border issue for merged cell.
- `#I336588` - Resolved the RTL text issue when copy and paste with text only option.
- `#I338123` - Line spacing is now applied properly for the result text of text form field.
- `#I337118` - Shape inside a table is now displayed properly.
- `#I337397` - Resolved the script error when opening a document with nested table.
- `#I337786` - Empty footer is now ignored properly from bottom margin calculation.
- `#I337968` - Resolved the automatic color issue for the text inside table.
- `#I339240` - Resolved the RTL text issue when deleting the text.
- `#I339488` - Resolved the script error while opening a document with footnote.
- `#I339715` - Footnote is now displayed properly on next page after editing.
- `#I339454` - Resolved alignment issue for a table that is wrapped over a positioned object.
- `#I341016` - Resolved the script error while exporting a document with empty list.
- `#I334046` - Optimized the spell check by page service call in optimized spell check mode.

### Features

- `#I256210`, `#F150773`, `#I295055`, `#I295551`, `#I324037`, `#I326715` - Added support for Widow/Orphan control, Keep with next and Keep lines together properties.
- `#I298019`, `#I307321`, `#F160804`, `#F164217`, `#F164872` – Improved the accuracy of text size measurements such as to match Microsoft Word pagination for most Word documents.
- `#I243246`, `#I249594`, `#I287633`, `#I295055`, `#I295549`, `#I299657`, `#I308408`, `#I326567` – Added support to preserve tables with position properties.
- Added option to directly convert DocIO's WordDocument to SFDT and vice-versa in .NET and Java server-side library.
- Added Word-to-SFDT conversion in Java server-side library.
- Added new spell checker library for Java.

### Breaking Changes

- Optimized the accuracy of text size measurements such as to match Microsoft Word pagination for most Word documents. This improvement is included as default behaviour along with an optional API `enableOptimizedTextMeasuring` in Document editor settings. To disable this improvement and retain the document pagination behaviour of older versions, kindly set `false` to `enableOptimizedTextMeasuring` property.

