## Common

### Breaking Changes

- The API types are corrected from static `Object` to its corresponding type references in 16.2.41 version of Essential JS 2. Refer this [Migration from 16.1 to 16.2](./migration-16.1-to-16.2.html) &nbsp;link for further details.

Starting with version 16.2 (2018 Vol 2), you need to include a valid license key (either paid or trial key) within your applications. Refer to this [help topic](https://help.syncfusion.com/common/essential-studio/licensing/license-key) for more information.


## Accumulation Chart

### New Features

- Support has been provided to group the pie slice based on count.

## AutoComplete

### Breaking Changes

- Provided enum support for `floatLabelType` property.

## Badge

Badge can be used to alert users about new or unread messages, notifications, and additional information
to the content. This can be used in conjunction with lists to represent each list’s timeline such as `new`, `old`, and `preview`.


- **Types** - Provided 8 different types of Badges.
- **Predefined Colours** - Provided 8 predefined situational colours of Badges.
- **Position** - Supports 3 different positions, such as `default`, `top` and `bottom`.

## Button

### Breaking Changes

- Default color changed for the flat button

## ButtonGroup

ButtonGroup is a graphical user interface that groups series of buttons horizontally or vertically.


- **Types, Sizes, and Styles** - Provided with different types, sizes and predefined styles of button.
- **Selection** - Supports single and multiple selection behaviors.
- **Orientation** - Supports horizontal and vertical orientations.
- **Nesting** - Supports nesting with drop-down and split button components.
- **Accessibility** - Built-in accessibility features to access all the button group using the keyboard, screen readers, or other assistive technology devices.

## Calendars

### New Features

- Event arguments for all Calendar components has been streamlined.

## Chart

### Bug Fixes

- Now, tooltip is working properly when the container for chart is initialized without ID.
- The performance issue with loading 800 series in chart has been fixed.
- Mean value for Box and Whisker is now rendering properly with multiple series.

### New Features

- Histogram series type has been added to chart.
- Scrollbar feature has been added to zoom and pan the chart.

## CircularGauge

### Bug Fixes

- Provided one way binding support for Axes properties in Angular platform.

## ColorPicker

Color picker is a user interface that is used to select and adjust color values.


- **Color specification**: Supports `Red Green Blue`, `Hue Saturation Value` and `Hex` codes.
- **Mode**: Supports `Picker` and `Palette` mode.
- **Inline**: Supports inline type rendering of color picker.
- **Custom palettes**: Allows you to customize palettes and supports multiple palette groups rendering.
- **Opacity**: Allows to set and change the `opacity` of the selected color.
- **Accessibility**: Built-in accessibility features to access color picker using the keyboard, screen readers, or other assistive technology devices.

## ComboBox

### Breaking Changes

- Provided enum support for `floatLabelType` property.

## DatePicker

### Breaking Changes

- Now, you can access the floatLabelType Enum  type directly instead of mentioning along with the namespace as `Syncfusion.EJ2.Inputs.FloatLabelType`.

## DateRangePicker

### Breaking Changes

- Now, you can access the floatLabelType Enum  type directly instead of mentioning along with the namespace as `Syncfusion.EJ2.Inputs.FloatLabelType`.

### New Features

- `DrillDown` support has been provided for DateRangePicker component that allows to quick navigate back and forth from month, year, and decade views to select a range easier.
- `Value` property support has been provided for DateRangePicker component to set a date range.

## DateTimePicker

### Breaking Changes

- Now, you can access the floatLabelType Enum  type directly instead of mentioning along with the namespace as `Syncfusion.EJ2.Inputs.FloatLabelType`.

## Diagram

The diagram component visually represents information. It is also used to create diagrams like flow charts, organizational charts, mind maps, and BPMN either through code or a visual interface.


- **Nodes** - Nodes are used to host graphical objects (path or controls) that can be arranged and manipulated on a diagram page. Many predefined standard shapes are included. Custom shapes can also be created and added easily.
- **Connectors** - The relationship between two nodes is represented using a connector.
- **Labels** - Labels are used to annotate nodes and connectors.
- **Interactive Features** - Interactive features are used to improve the run time editing experience of a diagram.
- **Data Binding** - Generates diagram with nodes and connectors based on the information provided from an external data source.
- **Commands** - Supports a set of predefined commands that helps edit the diagram using keyboard. It is also possible to configure new commands and key combinations.
- **Automatic Layout** - Automatic layouts are used to arrange nodes automatically based on a predefined layout logic. There is built-in support for organizational chart layout, hierarchical tree layout, symmetric layout, radial tree layout, and mind map layout.
- **Overview Panel** -  The overview panel is used to improve navigation experience when exploring large diagrams.
- **SymbolPalettes** - The symbol palette is a gallery of reusable symbols and nodes that can be dragged and dropped on the surface of a diagram.
- **Rulers** - The ruler provides horizontal and vertical guides for measuring diagram objects in diagram control.
- **Serialization** - When saved in JSON format a diagram’s state persists, and then it can be loaded back using serialization.
- **Exporting and Printing** - Diagrams can be exported as .png, .jpeg, .bmp, and .svg image files, and can also be printed as documents.
- **Gridlines** - Gridlines are the pattern of lines drawn behind diagram elements. It provides a visual guidance while dragging or arranging the objects on a diagram surface.
- **Page Layout** - The drawing surface can be configured to page-like appearance using page size, orientation, and margins.
- **Context Menu** - Frequently used commands can easily be mapped to the context menu.

## Document Editor

The Document Editor component is used to create, edit, view, and print Word documents in web applications. All the user interactions and editing operations that run purely in the client-side provides much faster editing experience to the users.


- Opens the native `Syncfusion Document Text (*.sfdt)` format documents in the client-side.
- Saves the documents in the client-side as `Syncfusion Document Text (*.sfdt)` and `Word document (*.docx)`.
- Supports document elements like text, inline image, table, fields, bookmark, section, header, and footer.
- Supports the commonly used fields like hyperlink, page number, page count, and table of contents.
- Supports formats like text, paragraph, bullets and numbering, table, page settings, etc.
- Provides support to create, edit, and apply paragraph and character styles.
- Provides support to find and replace text within the document.
- Supports all the common editing and formatting operations along with undo and redo.
- Provides support to cut, copy, and paste rich text contents within the component. Also allows pasting simple text to and from other applications.
- Allows user interactions like zoom, scroll, select contents through touch, mouse, and keyboard.
- Provides intuitive UI options like context menu, dialogs, and navigation pane.
- Creates a lightweight Word viewer using module injection to view and prints Word documents.
- Added `Syncfusion.EJ2.DocumentEditor` NuGet package that contains helper library for converting Word documents to `Syncfusion Document Text (*.sfdt)`. It supports .NET Standard 2.0 Framework.

## DropDownList

### Breaking Changes

- Provided enum support for `floatLabelType` property.

## HeatMap

The HeatMap control is used to visualize a two-dimensional data in which the values are represented in gradient or fixed colors.


- **Axis Types** - Supports three different types of axes to populate the data, namely Numerical, Categorical,and Datetime.
- **Axis Feature** - Supports inverted axis, opposed position and axis intervals.
- **Legend** - Supports legend which provides value information for the colors which represents each values in HeatMap.
- **Data Binding** - Supports binding data in JSON and two-dimensional array formats.
- **Rendering Modes** - Supports automatic switching between SVG and Canvas rendering modes based on the data source length.

## Input

### New Features

- The clear button can be enabled/disabled dynamically through `setClearButton` method.

## ListView

### Breaking Changes

- The following API namings are renamed.

| Existing API Name | New API Name | 
|:-:|:-:|
| unCheckAllItem | uncheckAllItems | 
| unCheckItem | uncheckItem | 

### New Features

- UI-Virtualization implemented to render only viewable list items in a view port on loading large number of data.

## Maps

### New Features

- Support has been added for animating the shapes on zooming.
- Support has been added to trim the maps title, when it exceeds the available width.
- Support had been provided for printing and exporting the maps.
- Support has been provided for printing.

## MaskedTextBox

### New Features

- Provided option to show/hide clear button to reset the value in MaskedTextBox

## MultiSelect

### Breaking Changes

- Provided enum support for `floatLabelType` property.

## NumericTextBox

### New Features

- Provided option to show/hide clear button to reset the value in NumericTextBox.
- Prevented to type unwanted text and symbols in NumericTextBox.

## Pivot Grid

The pivot grid is a multi-dimensional data visualization component built on top of the relational data sources. The pivot report can be managed dynamically at runtime along with other capabilities like aggregation, filtering and sorting (field and value based).


- **Data Sources** - Binds the component with an array of JavaScript objects.
- **Filtering** - Allows user to view only specific/desired records in the component.
- **Sorting** - Both member and value sorting are supported. It’s allows user to order fields and values (column) either in ascending or descending order respectively.
- **Field List & Grouping Bar** - Supports UI interaction at runtime to dynamically change the report along with sorting, filtering and remove options.
- **Aggregation** - Provides built in aggregation types like sum, average, min, max and count.
- **Calculated Field** - Users can add new value field(s) to the report dynamically using this option.
- **Adaptive Rendering** - Adapts with optimal user interfaces for mobile and desktop form-factors, thus helping the user’s application to scale elegantly across all the form-factors without any additional effort.
- **Exporting** - Provides the option to exporting records to Excel, CSV and PDF formats.

## RadioButton

### Bug Fixes

- Wrapped text of a RadioButton label overlaps with next RadioButton label issue fixed.

## RangeNavigator

The range navigator provides an intuitive interface for selecting a smaller range from a larger collection. It is commonly used in financial dashboards to filter a date range for which the data needs to be visualized. This control easily combines with other controls such as Chart, Data Grid, etc., to create rich and powerful dashboards.


- **Data Binding** - Binds the data with local and remote data source.
- **Chart** - To represent the data in RangeNavigator and its supports line, step line and area type series.
- **Slider** - To handle the selected data in RangeNavigator.
- **Data Types** - Supports three different types of data, namely Numerical, Datetime, and Logarithmic.
- **Animation** - Chart series and slider will be animated when rendering and changing the selected data.
- **Period Selector** - Supports period selector to select data based on predefined periods.
- **Light Weight** - Supports light weight RN to navigate through the data based on range.
- **Tooltip** - Supports tooltip for the selected data.
- **Export** - Supports to print the range navigator directly from the browser and exports the range navigator in both JPEG and PNG format.

## RichTextEditor

The rich text editor component is WYSIWYG ("what you see is what you get") editor used to create and edit the content and return valid HTML markup or markdown (MD) of the content. The editor provides a standard toolbar to format content using its commands. Modular library features to load the necessary functionality on demand. The toolbar contains commands to align the text, insert link, insert image, insert list, undo/redo operation, HTML view, and more.


- Provides IFRAME and DIV mode.
- Handles markdown editing.
- Contains a modular library to load the necessary functionality on demand.
- Provides a fully customizable toolbar.
- HTML view to edit the source directly for developers.
- Supports to integrate third-party library.
- Preview the modified content before saving it.
- Handles images, hyperlinks, video,hyperlinks, uploads, and more.
- Contains undo/redo manager.
- Creates bulleted and numbered lists.

## Schedule

### New Features

- Distinct time interval option with customizable major and minor slots has been introduced to view the appointments clearly and accurately.
- An enhancement has been made to extend the default view range with customized intervals, to display 'n' number of days, weeks and months.
- Validation support on recurrence appointment(s) has been added.
- Multiple resources support has been added with the following options.
- **Group By Child** - To group the same child resource(s) under different parent resource(s).
- **Group By Date** -  To group the resource(s) on day basis.
- **Group Editing** - To edit all resource events simultaneously.
- **Custom Work Days** - To display the custom work days for each resource.
- Provided public methods to add or remove the resources dynamically.

#### Breaking Changes

- Appearance enhancement has been done on `quick popup` that opens, when single clicked on cells and events. Also, the same `popup` opens on single tap of events on mobile mode.

## Sidebar

### Breaking Changes

- Target property supports both the id and class selectors to locate the target element.

### New Features

- Support for setting the open/close state of the Sidebar has been provided with `isOpen` property.

## Slider

### Breaking Changes

- The following API namings are renamed.

| Existing API Name | New API Name | 
|:-:|:-:|
| readOnly | readonly | 

### New Features

- Limits implemented to limit movement interval of min and max values to certain range.
- Drag interval implemented to interact with the range slider by dragging the range.
- Provided to support custom value arrays.
- Bootstrap theme tooltip appearance improved by enabling tooltip pointer.

## Smith Chart

Smith chart is one of the most useful data visualization tools for high frequency circuit applications. It contains two sets of circles to plot the parameters of transmission lines.


- **Types** - Smithchart had two type of rendering. Impedance and Admittance.
- **Marker** - Smithchart supports the marker feature. It used to identify point position.
- **Datalabel** - Smithchart supports the datalabel feature. It used to identify point values.
- **Legend** - Smithchart supports the legend feature. It used to denote each series names.
- **Tooltip** - Smithchart supports the tooltip feature. It used to get point values on user interaction like mouse and touch actions.
- **Print and Export** - Smithchart supports printing and exporting as different file types.

## Sparkline

Sparklines are easy to interpret and also it conveys much more information to the user by visualizing the data in a small amount of space.


- **Types** - Sparklines had five type of series. Line, Area, Column and WinLoss and Pie.
- **Marker** - Sparklines support the marker feature.
- **DataLabel** - Sparklines support the datalabel feature. It uses to identify the x and y value for the current point.
- **Range Band** - Sparklines support the rangeband feature. It used to denote the certain range sparkline points.
- **Tooltip** - Sparklines support the tooltip feature. It used to interact with points to get more about current point.

## SplitButton

### Breaking Changes

- UI changes based on design guidelines

## Switch

Switch is a graphical user interface element that allows you to toggle between checked and unchecked states.


- **Text** - Supports text.
- **Sizes** - Provided with different sizes of Switch.

## TimePicker

### Breaking Changes

- Now, you can access the floatLabelType Enum  type directly instead of mentioning along with the namespace as `Syncfusion.EJ2.Inputs.FloatLabelType`.

## Toast

The toast is a small container, in which user can show a single or multiple informative lines with actions.


- **Position**: Enables to position the toast anywhere on the screen. It has a predefined set of positions and custom inputs for position based on the target.
- **Autohide and TimeOut**: Toast can be expired based on the timeOut property; it hides toast automatically when reaches specific time without user interaction.
- **Multi Toast**: Toasts can support to display multiple toasts with various time delay.
- **Progress Bar**: Supports to visually indicate time lapse when the toast expires.
- **Action Buttons**: Supports to add buttons in the toast for archiving any actions within the toast.
- **Template**: User customized element can be defined for the toast using the template property.

## Tooltip

### Bug Fixes

- Tooltip positioning issue fixed while target placed right of the page.

## TreeMap

The TreeMap is used to displayed the hierarchical or multi-level data to visualize the nested rectangles.


- **Layout Mode** - TreeMap supports different type of layouts like Squarified, SliceAndDiceHorizontal, SliceAndDiceVertical and SliceAndDiceAuto.
- **Legend** - TreeMap supports legend feature with different mode. Default and Interactive.
- **LabelTemplate** - Leaf item labels can be customized by the label template.
- **ColorMapping** - TreeMap supports the color mapping feature. It used to customize the leaf item fill colors based on range or values.
- **User-Interactions** - TreeMap supports the Drilldown, Tooltip, Highlight and Selection user interaction features.
- **Print and Export** - TreeMap supports printing and exporting as different file types.

## Uploader

### New Features

- Added `chunked upload` support to upload large files asynchronously with `pause` and `resume` options.
- Support has been provided to resume automatically on failed chunk up to `maximum retry` options.
- Included option to handle `retry upload` through UI (User Interface).
- Support to `cancel the request` while uploading a file is added.

