## Chart

### Bug Fixes

- Zooming icons are not visible on refreshing chart is fixed.
- Chart not exported to SVG in IE11 is fixed.
- Now the secondary axis is removed after changing the series type from pareto to line.

### New Features

- Stacking Line series type has been added to the chart.
- 100% Stacking Line series type has been added to the chart.
- Support has been provided to wrap axis labels to multiple lines.
- Chart now supports animation on data updation.

## DateRangePicker

### New Features

- Now, you can move to a particular date without UI interaction using `NavigateTo` method.
- Provided option to set the start and depth level view of the calendar.

## DateTimePicker

### New Features

- Now, you can provide datetime value as a string to the DateTimePicker.

## Dialog

### Bug Fixes

- Resolve the issue with accessing dialog button type in ASP.NET Core and ASP.NET MVC frameworks.

## Document Editor

### Bug Fixes

- Section break is now serialized properly.

### New Features

- Added API to customize the default character format and paragraph format of document editor.
- Added support to customize context menu.
- Optimized text rendering.

## File Manager

The `File Manager` is a graphical user interface component used to manage the file system. It enables the user to perform common file operations such as accessing, editing, uploading, downloading, and sorting files and folders. This component also allows easy navigation for browsing or selecting a file or folder from the file system.


- **Different Views** - Provides detailed and large icon views.
- **Context menu support** - Provides detailed and large icon views.
- **Custom toolbar support** - Customize the toolbar to provide only necessary features.
- **Multiple file selection** - Select multiple files simultaneously.
- **Accessibility** - Features built-in accessibility support that makes all features accessible through keyboard interaction, screen readers, or other assistive technology devices.
- **Localization** - Translate file names to any supported language.

## HeatMap

### New Features

- Now it is possible to select or deselect multiple cells in Heatmap by holding CTRL key and mouse click actions.

## ListView

### Bug Fixes

- Issue with duplicate entries on updating the data source while binding data using data manager has been fixed.
- Now it is possible to perform key interactions with input list items displayed using custom templates.

## Maps

### Bug Fixes

- Now, the border style is applied properly to the shapes when performing selection.

## PDF Viewer

### Bug Fixes

- The issue “Added PDF document cache element did not maintain properly” has been fixed.
- The issue “PdfRenderer object is not disposing properly in EJ2 PDF Viewer library” has been fixed.
- The issue “PDF Viewer clears all the session storage” has been fixed.
- Resolved the script error while accessing invalid link annotation destination.
- Resolved Single Page Document Rendering issue.
- Document Load event not triggered for lower zoom value issue has been fixed.

### New Features

- Text Markup annotation support has been provided to PDF Viewer.
- Mobile view responsiveness support has been provided.
- Right-to-left support has been provided.
- Accessibility support has been provided to PDF Viewer.

## Pivot Table

### New Features

- Users can access grid functionalities in the drill-through pop-up.
- Option to always show the value header even with single value binding.
- Row header repeats on each page of the PDF document when exporting.
- Users can display the value zero as zero and empty cells with a custom value.
- Charts can be rendered against pivot table data independently, and users can modify their report dynamically using the field list.
- Toolbar support is provided to the pivot table, allowing users easy access to frequently used features.
- A grouping option is available for date and numbers fields.
- Users can customize or add custom templates to the Pivot Table cells.
- Cell selection allows users to select cells and access the selected cell information through the cell selection event.

## Pivot View

### New Features

- Users can access grid functionalities in the drill-through pop-up.
- Option to always show the value header even with single value binding.
- Row header repeats on each page of the PDF document when exporting.
- Users can display the value zero as zero and empty cells with a custom value.
- Charts can be rendered against pivot table data independently, and users can modify their report dynamically using the field list.
- Toolbar support is provided to the pivot table, allowing users easy access to frequently used features.
- A grouping option is available for date and numbers fields.
- Users can customize or add custom templates to the Pivot Table cells.
- Cell selection allows users to select cells and access the selected cell information through the cell selection event.

## Pivot View/Pivot Grid

### New Features

- Users can access grid functionalities in the drill-through pop-up.
- Option to always show the value header even with single value binding.
- Row header repeats on each page of the PDF document when exporting.
- Users can display the value zero as zero and empty cells with a custom value.
- Charts can be rendered against pivot table data independently, and users can modify their report dynamically using the field list.
- Toolbar support is provided to the pivot table, allowing users easy access to frequently used features.
- A grouping option is available for date and numbers fields.
- Users can customize or add custom templates to the Pivot Table cells.
- Cell selection allows users to select cells and access the selected cell information through the cell selection event.

## Slider

### New Features

- Now only single tooltip will be displayed in range slider for resize and drag actions for better user interface.

## Stock Chart

### New Features

- Stock chart now allows stock events to highlight important dates.

## TextBox

### New Features

- Provided option to render `multiline textbox` (textarea).

## TreeMap

### New Features

- The right-to-left (RTL) rendering support has been provided.
- Load on-demand option has been provided to load and render the child items dynamically.
- Responsive support has been provided to the TreeMap legend.
- The 'doubleClick', 'rightClick', and 'legendRendering' events have been provided in TreeMap.

## TreeView

### New Features

- Provided an option for auto checking parent tree nodes based on child tree nodes checked state and vice versa.
- Now it is possible to select or unselect the collapsed child nodes by selecting its parent node through checkbox selection, with Load-On-Demand mode enabled.

