## Common

### New Features

- Sample Creator support for Essential JS2 ASP.NET Core
- Project Conversion and Migration support for Essential JS2 ASP.NET Core.
- TreeGrid, Rich Text Editor, Document Editor, and PDF Viewer have been added to Syncfusion Scaffolder Visual Studio Extensions.

## Accordion

### Breaking Changes

- Accordion expand and collapse directives has been moved to animation directive.

## Barcode

## Calendar

### New Features

- #233255, #232782 - Now, you can change the day header format of calendar using  'dayHeaderFormat' property.

## Chips

### Breaking Changes

- Property selection enum type name changed from "selection" to "Selection".

## CircularGauge

### Bug Fixes

- Issue with the ng-template on using with annotation option has been fixed.

## DashboardLayout

The DashboardLayout is a grid structured layout control that helps create a dashboard with panels. Panels hold the UI components and allow resize, reorder, drag-n-drop, remove and add options. This allows users to easily place the components at the desired position within the grid layout.


- **Drag and Drop**: Allows drag and drop of panels at the desired location within the dashboard.
- **Resizing**: Support to resize the panels in any direction as per the requirement.
- **Floating**: Floats the panels upward when the dragging option is enabled.
- **Media Query**: Allows the panels to be stacked when the specified resolution is met.

## DatePicker

### Bug Fixes

- #231616, #234495 - In mobile device, DatePicker popup displays in the center of the viewport.

### New Features

- #228310, #233267 - Now, you can add additional html attribute to the element using  `htmlAttributes` property.

## DateRangePicker

### Bug Fixes

- #231616, #234495 - In mobile device, DateRangePicker popup displays in the center of the viewport.

### New Features

- #228310, #233267 - Now, you can add additional html attribute to the element using  `htmlAttributes` property.

## DateTimePicker

### New Features

- #228310, #233267 - Now, you can add additional html attribute to the element using  `htmlAttributes` property.

## Diagram

### Breaking Changes

- Type for the `DragLimit` property in the `DiagramNodeAnnotation` is changed to `DiagramMargin` from object.
- Type for the `Padding` property in the `DiagramScrollSettings` is changed to `DiagramMargin` from object.
- Type for the `AutoScrollBorder` property in the `DiagramScrollSettings` is changed to `DiagramMargin` from object.
- Type for the `DragLimit` property in the `DiagramConnectorAnnotation` is changed to `DiagramMargin` from object.
- Type for the `Offset` property in the `DiagramPort` is changed to `DiagramPointfrom` object.
- Type for the `CrudAction` property in the `DataSource` is changed to `DiagramPointfrom` from object.
- Type for the `ConnectionDataSource` property in the `DataSource` is changed to `DiagramConnectionDataSource` object.
- The `Data` property in the Diagram’s `DataSource` has been removed.
- Type for the `ConnectionDataSource` property in the `DiagramDataSource` is changed to `DiagramConnectionDataSource` from object.
- The `PageSettingsAutoScrollBorderPageSetting` Class has been removed.

## Dialog

### Bug Fixes

- Resolve the issue with accessing dialog button type in ASP.NET Core and ASP.NET MVC frameworks.

## Document Editor

### Breaking Changes

- The `serviceUrl` property in `DocumentEditorContainer` component no longer expect the full path of the Web API action. Henceforth, it only expects the path up to controller name alone. And the Web API action name can be configured in `serverActionSettings` property for different actions.

### Bug Fixes

- `#237415`, `#238902` - Document exported properly when document contains hyphen character.
- `#228049` - Tab character width is now calculated properly.
- `#228049` - Table with repeat header is now layout properly.
- `#234073` - Table is now pasted properly.
- `#236808` - Document exported properly when document contains text form field.
- `#144848` - Table shading is now exported properly.

### New Features

- `#229069` - Added contextual spacing support.
- `#158324`, `#226019`, `#226018`, `#227644`, `#238417` - Added support for chart preservation.
- `#94889` ,`#87537`, `#223333` ,`#222513`, `#224521` ,`#227620` ,`#227052` ,`#227362`, `#236997` - Added spell check support.
- `#226631` ,`#227594`, `#231373`, `#233073` - Added clipboard paste with formatted content.
- `#140903` ,`#227192`, `#227641` ,`#227640` - Added restrict editing support.
- `#237725` - Added API to customize gap between each page.

## File Manager

### New Features

- Added file system provider support for SQL server database, Microsoft Azure cloud storage, NodeJS framework, and Google Drive cloud storage.
- Provided access control support for physical file system provider.
- Provided cut, copy, and paste file operations support.
- Provided drag and drop support.
- Provided rename and replace support for uploading files.
- Provided options to upload specific types of files based on extensions.

## Grid

### Bug Fixes

- Initial multi-sorting icon is added incorrectly fixed.
- Validation for complex property is not added properly resolved.

### New Features

- Dialog edit template support added.
- Reactive aggregate update support added.
- Date time type column filter support added.
- Windows explorer like check-box selection added.
- Expand and collapse enabled in excel exported document for grouped grid.
- Support to prevent the overriding of autofit columns by Resizing added.
- Show All option added for page size drop-down.

## HeatMap

### New Features

- Now it is possible to customize the legend label using legendRender event.

## In-place Editor

The In-place Editor component is used to edit and update the input value dynamically to the server. It supports integrating many component types such as “DropDownList”,”DatePicker”,”AutoComplete”, etc.


- **Render mode** - Provides two types of rendering modes when editing the input, namely “Inline” and “Popup”.
- **Component integration** - Support to integrate components such as “DropDownList”, “DatePicker”,” AutoComplete”, etc. to the In-place Editor.
- **Data binding**  - Bind the In-place Editor component with an array of JSON objects or DataManager to save the edited data to the server.
- **Customization**  - Offers UI customization such as popup, buttons, and also denotes editable content state.
- **Template**  - Templates can be used to integrate custom controls to the In-place Editor.
- **Globalization**  - Provides right to left and localization support.

## InPlaceEditor

## LinearGauge

### New Features

- In the `setAnnotationValue` method, an option has been provided for setting annotation based on `axisValue`.

## ListBox

The ListBox is a graphical user interface component used to display a list of items. Users can select one or more items in the list using a checkbox or by keyboard selection. It supports sorting, grouping, reordering, and drag and drop of items. The available key features are:


- **Data binding**: Binds and accesses the list of items from local or server-side data source.
- **Dual ListBox**: Allows transferring and reordering the list item between two ListBoxes.
- **Drag and Drop**: Allows drag and drop the list item with the same/multiple ListBox.
- **Grouping**: Groups the logically related items under a single or specific category.
- **Templates**: Customizes the list items.
- **Sorting**: Sorts the list items in alphabetical order (either ascending or descending).
- **Accessibility**: Provided with built-in accessibility support that helps to access all the ListBox component features using the keyboard, screen readers, or other assistive technology devices.

## ListView

### Bug Fixes

- Issue with duplicate entries on updating the data source while binding data using data manager has been fixed.
- Now it is possible to perform key interactions with input list items displayed using custom templates.

## Maps

### New Features

- `#I227277` - Support has been provided to get geo location when clicking on maps.
- `#I217458` - Support has been provided to hide and cluster a marker when it intersects with other markers.

## MaskedTextBox

### New Features

- #228310, #233267 - Now, you can add additional html attribute to the element using  `htmlAttributes` property.

## MultiSelect

### New Features

- `#F142089`, `#225476`, `#231094`, `#234377` - Now, you can render grouping with checkbox using enableGroupCheckBox property.

## NumericTextBox

### New Features

- #228310, #233267 - Now, you can add additional html attribute to the element using  `htmlAttributes` property.

## PDF Viewer

### Breaking Changes

- The following event arguments are renamed.

| Existing Event Arguments Name | New Event Arguments Name | 
|---|---|
| IUnloadEventArgs | UnloadEventArgs | 
| ILoadEventArgs | LoadEventArgs | 
| ILoadFailedEventArgs | LoadFailedEventArgs | 
| IAjaxRequestFailureEventArgs | AjaxRequestFailureEventArgs | 
| IPageChangeEventArgs | PageChangeEventArgs | 
| IPageClickEventArgs | PageClickEventArgs | 
| IZoomChangeEventArgs | ZoomChangeEventArgs | 
| IHyperlinkClickEventArgs | HyperlinkClickEventArgs | 
| IAnnotationAddEventArgs | AnnotationAddEventArgs | 
| IAnnotationRemoveEventArgs | AnnotationRemoveEventArgs | 
| IAnnotationPropertiesChangeEventArgs | AnnotationPropertiesChangeEventArgs | 

### Bug Fixes

- `#233161` – Now, loading Indicator will be shown properly while loading a large page size document.
- `#233035` - HyperlinkClick event is now triggered properly.
- `#234364` - Pan interaction mode is now working properly when the toolbar is disabled.
- `#231436` - PDF document is now rendered properly while using the PDF Viewer control inside Tab control.
- `#232104` - Cleared the warnings in css files.

### New Features

- `#208298`, `#223253`, `#224643`, `#233655`, `#238694` - Provided the supports for shape annotations.
- `#219446`, `#224643`, `#230115`, `#233032`, `#F144297`, `#236825`, `#238694` - Provided the supports for stamp annotations.
- `#229426` - Provided the supports for calibrate annotations.
- `#223253`, `#238694` - Provided the supports for sticky notes annotations.

## Pivot Grid

### New Features

- F141747- Always shows value caption in headers even having single measure.
- Cell selection now allows to select cells as row and column wise.
- Shows the filter state in the fields of filter axis.

## Pivot Table

### Breaking Changes

- The `datasource` and `datasource.data` properties has now been renamed to `datasourcesettings` and `datasourcesettings.dataSource` respectively.

## Pivot View/Pivot Grid

### Bug Fixes

- Drill-down works properly for date formatted headers.

### New Features

- Users can access grid functionalities in the drill-through pop-up.
- Option to always show the value header even with single value binding.
- Row header repeats on each page of the PDF document when exporting.
- Users can display the value zero as zero and empty cells with a custom value.
- Charts can be rendered against pivot table data independently, and users can modify their report dynamically using the field list.
- Toolbar support is provided to the pivot table, allowing users easy access to frequently used features.
- A grouping option is available for date and numbers fields.
- Users can customize or add custom templates to the Pivot Table cells.
- Cell selection allows users to select cells and access the selected cell information through the cell selection event.

## ProgressButton

The progress button visualizes the progression of an operation to indicates the user that a process is happening in the background. The progress can be shown with graphics accompanied by a textual representation.


- **Types, Sizes, and Styles** - Provided with different types, sizes and predefined styles of progress button.
- **Icons and Spinner** - Supports icon, spinner and its positioning.
- **Animation** - Provided with predefined animation and progress indicator.
- **Events** - Supports event triggering at specified interval.
- **Accessibility** - Provided with built-in accessibility support that helps to access all the ProgressButton component features through the keyboard, screen readers, or other assistive technology devices.

## QueryBuilder

The Query Builder component is a graphical user interface that allows users to create and edit filters. It outputs a structured JSON of filters which that can be easily parsed to create SQL. It is integrated with Data Manager to communicates with data sources and returns the desired result based on the provided filter. It supports data binding, templates, validation, and horizontal and vertical orientation.


- **Data binding**: It auto populates the data source and maps the data to the appropriate fields.
- **Template**: Supports templates and it is applicable for all input components.
- **Queries**: Queries supports JSON/SQL rules.

## RichTextEditor

### Breaking Changes

- Added the following complex properties for the RichTextEditor component,
- tableSettings
- backgroundColor
- fontColor
- fontSize
- fontFamily
- format
- inlineMode

## Schedule

### Breaking Changes

- The child tag **`e-view`** defined under `e-schedule-views` has been changed to **`e-schedule-view`** now as per the standard.
- The child tag **`e-resource`** defined under `e-schedule-resources` has been changed to **`e-schedule-resource`** now as per the standard.

### New Features

- **Timeline view** - Displays the day, week, work week and month view layouts in timeline mode by illustrating both the date and time intervals in horizontal orientation. Also, it organizes the resource display in a hierarchical tree structure based on the grouping levels.
- **Header rows** - Provided support to add custom header rows on timeline views, to depict an additional row for displaying the corresponding year, month, week number and dates.
- **Drag and Drop** - Appointments can be easily rescheduled to some other time, by dragging and dropping it onto the required time slots.
- **Resize** - Appointment’s time can be easily extended either by resizing its start or end handlers.
- **Week Number** - Support added to display the week number of the current date, beside the date header section.
- Provided template support for customizing `quick popup`, that opens while clicking on the cells or appointments.
- The data type of the appointment ID field is made compatible to accept both string and number type values.

## Sidebar

### Breaking Changes

- The value type for zIndex property has been changed from `string` to `double`.

## Slider

### New Features

- Now only single tooltip will be displayed in range slider for resize and drag actions for better user interface.

## Splitter

### New Features

- Provided option to configure the splitter and its pane properties such as size, min, max, resizable through data attributes (`data-`).
- Included the public methods for add and remove splitter panes.

## Tab

### Breaking Changes

- Tab previous and next directives has been moved to animation directive.

## TextBox

### New Features

- #228310, #233267 - Now, you can add additional html attribute to the element using  `htmlAttributes` property.

## TimePicker

### New Features

- #228310, #233267 - Now, you can add additional html attribute to the element using  `htmlAttributes` property.

## Toast

### Breaking Changes

- Updated the following complex directives for the Toast component,

| **Before Fix** | **After Fix** | 
|---|---|
| e-toast-show | e-toast-animationsettingsshow | 
| e-toast-hide | e-toast-animationsettingshide | 
| e-toast-buttonmodelprops | e-toast-buttonmodelprop | 

## TreeMap

### New Features

- The right-to-left (RTL) rendering support has been provided.
- Load on-demand option has been provided to load and render the child items dynamically.
- Responsive support has been provided to the TreeMap legend.
- The 'doubleClick', 'rightClick', and 'legendRendering' events have been provided in TreeMap.

## TreeView

### New Features

- Provided an option for auto checking parent tree nodes based on child tree nodes checked state and vice versa.
- Now it is possible to select or unselect the collapsed child nodes by selecting its parent node through checkbox selection, with Load-On-Demand mode enabled.

## Uploader

### New Features

- Provided `cssClass` property to add custom CSS classes to an uploader.

