## AccumulationChart

### Breaking Changes

- Type for the `Animation` property in the `Series` is changed to `AccumulationChartAnimation` from object.

## Chart

### Breaking Changes

- Type for the `Font` property in the `DataLabel` is changed to `ChartFont` from object.
- Type for the `Margin` property in the `DataLabel`is changed to `ChartMargin` from object.
- Type for the `Border` property in the `DataLabel` is changed to `ChartBorder` from object.
- Type for the `Border` property in the `Marker` is changed to `ChartBorder` from object.

## Document Editor

### Bug Fixes

- `#243771` - Clipboard data is now pasted as plain text, If XHTML validation fails.
- `#246264`, `#246143`, `#247143` - Styles now updated properly for the selected paragraph.
- `#246003` - Default character and paragraph format is now set on initial control rendering.
- `#245766` - Table of contents is now copied properly.
- `#245891` - Merge field is now copied as a plain text.
- `#245860`, `#246440` - Script error is fixed after paste switch to different formatting.
- `#245461` - Left border width is now updated properly.
- `#246168` - List tab width is now calculated properly when hanging indent is specified.
- `#245890` - Script error is fixed when pasting content copied from word.
- `#247896`, `#147336` - Text is now visible when its container contains flex style property.
- `#246884` - Copy and paste single paragraph containing list is now resolved.
- `#247831` - Script error is fixed while importing document.
- `#246168` - List font style is now rendered properly.
- `#246751` - Script error is now resolved when editing inside nested table.
- `#245453` - Paragraph is now lay-outed properly when it has based on style.
- `#244786`, `#248882` - RTL text exporting issues are fixed.
- `#244786` - Cursor now updated properly after inserting merge field when paragraph is set as RTL.

### New Features

- `#245203` - Added support to preserve and layout start page number for sections.

## Maps

### Bug Fixes

- `F147309` - Issue in adding sub layer in the 'OpenStreetMap' has been resolved.

## PDF Viewer

### Bug Fixes

- `#247914` – The perimeter annotation will be rendered properly when the line is ended in the starting point.
- `#248062` – Extra edge will not be added to the polygon shapes when rendered in the page.
- `#248092` – Contents will not be swapped if you switch randomly between two documents.
- `#248093` – Script error will no longer be thrown if you switch randomly between two documents.
- `#247787` – The searched text will be highlighted properly in the provided document.
- `#146785` – Script error will no longer be thrown when the PDF Viewer control is used in the React application.

### New Features

- `#227046`, `#230887`, `#142366`, `#231973`, `#237847`, `#244849`, `#238686`, `#239233`, `#241638`, `#241638`, `#242232`, `#239221`, `#240051`, `#245255` – The support has been provided for filling the form fields.
- `#233655`, `#236240`, `#236825`, `#238694`, `#241974`, `#243864`, `#245087` – The support has been provided for free text annotation.
- `#246059` - Exposed the thumbnailClick event to identify the thumbnail clicks action.
- `#246767` – The support has been provided to export the annotation details as JSON object in client-side.
- `#245008` – The support has been provided to update the existing calibrate annotation if we modify the scale value.
- Improved the scrolling performance in mobile devices.

## Spreadsheet

### New Features

- **Sorting:** Helps you to arrange the data to particular order in a selected range of cells.
- **Resize:** Allows you to change the row height and column width. Auto fit the rows and columns based on its content.

## TextBox

### New Features

- `#246351` - Provided autocomplete property for setting the autocomplete attribute to the textbox.

## TreeGrid

### New Features

- `#237050`, `#237420`, `#237783` - Custom Data binding support has been provided that allows users to handle data externally and bind result to treegrid.
- `#F145931` - Frozen Rows and Columns support has been provided that freezes the specific rows or columns and make them always visible in the top and/or left side of the Tree Grid while scrolling.

## TreeView

### Bug Fixes

- #246937 - The unchecking checkbox performance issue has been resolved.

