## Bullet Chart

### New Features

- Provided support to legend for targets, actual value and ranges in bullet chart.

## Chart

### New Features

- Provided support to highlight the data points in chart.
- Provided support for patterns to the selected and highlighted data.

## Document Editor

### Breaking Changes

- Default value of `EnableLocalPaste` is set to false. So, by default, the content will be pasted from the system clipboard.
- Some locale properties are renamed as below

| Previous | Now | 
|---|---|
| Linked(Paragraph and Character) | Linked Style | 
| Don't add space between the paragraphs of the same styles | Contextual Spacing | 
| The password don't match | Password Mismatch | 
| Exceptions (optional) | Exceptions Optional | 
| Select parts of the document and choose users who are allowed to freely edit them. | Select Part Of Document And User | 
| Yes, Start Enforcing Protection | Enforcing Protection | 
| This document is protected from unintentional editing. You may edit in this region. | Protected Document | 
| You may format text only with certain styles. | You may format text only with certain styles | 
| Type your comment hear | Type your comment here | 
| Added comments not posted. If you continue, that comment will be discarded. | Discard Comment | 
| Header & Footer | Header And Footer | 
| Different header and footer for odd and even pages. | Different header and footer for odd and even pages | 
| Different Odd & Even Pages | Different Odd And Even Pages | 
| Different header and footer for first page. | Different header and footer for first page | 
| Distance from top of the page to top of the header | Distance from top of the page to top of the header | 
| Distance from bottom of the page to bottom of the footer. | Distance from bottom of the page to bottom of the footer | 
| Insert / Delete | Insert Or Delete | 
| Number of heading or outline levels to be shown in table of contents. | Number of heading or outline levels to be shown in table of contents | 
| Show page numbers in table of contents. | Show page numbers in table of contents | 
| Right align page numbers in table of contents. | Right align page numbers in table of contents | 
| Use hyperlinks instead of page numbers. | Use hyperlinks instead of page numbers | 
| Bold (Ctrl+B) | Bold Tooltip | 
| Italic (Ctrl+I) | Italic Tooltip | 
| Underline (Ctrl+U) | Underline Tooltip | 
| Superscript (Ctrl+Shift++) | Superscript Tooltip | 
| Subscript (Ctrl+=) | Subscript Tooltip | 
| Align left (Ctrl+L) | Align left Tooltip | 
| Center (Ctrl+E) | Center Tooltip | 
| Align right (Ctrl+R) | Align right Tooltip | 
| Justify (Ctrl+J) | Justify Tooltip | 
| Create a new document. | Create a new document | 
| Open a document. | Open a document | 
| Undo the last operation (Ctrl+Z). | Undo Tooltip | 
| Redo the last operation (Ctrl+Y). | Redo Tooltip | 
| Insert inline picture from a file. | Insert inline picture from a file | 
| Create a link in your document for quick access to web pages and files (Ctrl+K). | Create Hyperlink | 
| Insert a bookmark in a specific place in this document. | Insert a bookmark in a specific place in this document | 
| Provide an overview of your document by adding a table of contents. | Provide an overview of your document by adding a table of contents | 
| Add or edit the header. | Add or edit the header | 
| Add or edit the footer. | Add or edit the footer | 
| Open the page setup dialog. | Open the page setup dialog | 
| Add page numbers. | Add page numbers | 
| Find text in the document (Ctrl+F). | Find Text | 
| The current page number in the document. Click or tap to navigate specific page. | Current Page Number | 

### Bug Fixes

- `#263861` - Table cells are now resized properly.
- `#260600` , `#266651` - RTL characters are now remove properly on backspace and delete.
- `#260600` - When direction is RTL, elements now rearranged properly after change character formatting.
- `#250770` , `#263443` - RTL text layout properly with special characters.
- `#264351` - Justify paragraph is layout properly when paragraph contains field.
- `#264631` - Stop protection is now working if password is empty.
- `#263171` - Cell options dialog content is now aligned properly.
- `#150960` - Hidden separator in context menu when hyperlink is disabled.
- `#150995` - Resolved error when importing the document with editable region restrictions.
- `#260600`, `#150466` , `#266311` - Properties pane is now enabled properly based on the context type in header footer region.
- `#260133` - Resolved navigation issue on Ctrl + click in MAC machine.
- `150960` - Enable/disable comment now working properly.
- `#263608` , `#150960` - Resolved script error when disable toolbar.
- `#261241` - Resolved script error when remove hyperlink in splitted widget.
- `#259011` - Paragraph before spacing layout issue is now resolved.
- `#260206` - Resolved numbering list issue when list contains start at value.
- `#260206` - Restart numbering is now working properly for different number format.
- `#260637` - Resolved script error when removing comment in header.
- `#249197` - Resolved exception when export Sfdt to other type in server side.
- `#252868` - Resolved script error when resize row to next page.
- `#259972` - Formatting is now applied properly for keep text only option in paste.
- `#258191` - Table cell width are now updated properly.
- `#260133`, `#261809` - Page scrolling issue is resolved when right click in MAC machine.
- `#258087`, `#255070` - Grid columns are now preserved properly on export.
- `#255070` - Page headers is now export properly when section break in table.
- `#259583` - List level number for style paragraph is now export properly.
- `#259153` - Table cell width and height is now copy properly.
- `#258121` - Resolved warnings in bootstrap4 styles when run the application in Firefox.
- `#249197` - Highlight colours are now exported properly.
- `#260048`, `#256276` - Image files are now pasted properly.
- `#256903` - Resolved bookmarks API issue when bookmark is in table.
- `#256758` - Resolved selection issue after correcting the spelling mistake.
- `#258938` - Resolved typo error in place holder of comments text area.
- `#257481` - Font family in font dialog is now update properly based on current selection.
- `#257171` - Bookmarks is now update properly after paste with formatting.
- `#257161` - List number is now update properly when hidden field contains list paragraph.
- `#246365` - Borders are now render properly when copy and paste from excel.
- `#257455` - Font colour is now update properly in modify style dialog.
- `#250770` - Line is now arranged properly when insert field.
- `#255913`, `#257879` - Bookmark is now insert properly in splitted paragraph.
- `#255736` , `#256106` , `#257011` - Context menu is now open in Firefox, Edge and Safari.
- `#254998` - Character format is now apply properly for selected bookmark.
- `#254997`, `#256764`, `#257106` , `#256764` - Paragraph format is now export properly if document contains selection.
- `#255272` - Resolved script error when navigate to bookmark in header.
- `#255188` - Bookmark is now preserved properly in header and footer.
- `#255601` - Bookmark is now select properly after insert text.
- `#256385` - Copy is now working properly in Firefox.
- `#256321` - Auto fit table is now lay-out properly if maximum word width exceeds container width.
- `#256509` - Resolved script error throws on backspace when selection is in bookmark end.
- `#256053` - TOC outline level is now serialized properly on Word export.
- `#256449` - Bullet list is now render properly in IOS chrome and safari.
- `#256099` - List is now apply properly in multilevel list.
- `#256384` - Tab width is now update properly when paragraph contains hanging indent.

### New Features

- `249782`, `254484`, `149278`,`258415`,`260463` - Added support for toolbar customization.
- `253670` - Enhancements for copy and paste operation.
- `#262665`, `#151012` - Added API to customize search highlight colour.
- `#249197` - Added API to enable/disable spell check action.
- `#237725`, `#253671` - Added support for web layout.
- `#260639` - Added `EnableComment` property to enable and disable comment.
- `#259970` - Handled paste list behaviour using start at value of list.
- `#256487` - Enhancements for mouse and keyboard selection.

## Dropdown Tree

The Dropdown Tree control allows you to select single or multiple values from hierarchical data in a tree-like structure. It has several out-of-the-box features, such as data binding, check boxes, templates, UI customization, accessibility, and preselected values. The available key features are


- **Data binding** - Bind and access a hierarchical list of items from a local or server-side data source.
- **Check boxes** - Select more than one item in the Dropdown Tree control without affecting the UI appearance.
- **Multiple selection** - Select more than one item in the control.
- **Sorting** - Display the Dropdown Tree items in ascending or descending order.
- **Template** - Customize the Dropdown Tree items, header, footer, action failure content, and no records content.
- **Accessibility** - Provide access to all the Dropdown Tree control features through keyboard interaction, on-screen readers, and other assistive technology devices.

## Gantt

### New Features

- `#238591`,`#247663`,`#253913`,`#263052`,`F147148`,`F147548`,`F149280` - Provided support for PDF export which exports Gantt data to PDF format.
- `#258677`,`#264570`,`F149280` - Provided support for manual task scheduling which is used to scheduling the task manually without any dependency.
- `F146634` - Provided support for Resource Unit, which indicate the efficiency of resource by each task and Work mapping support which is used to allocate the total number of works to a task.
- `#245866`,`#252413`,`#262485`,`F147349` - Provided support for the Resource view which is used to visualize the list of tasks assigned to each resource in hierarchical order.

## Kanban

The Kanban component is an efficient way to visually depict work at various stages of a process using cards, columns, and swimlane.


- **Data binding**: Seamless data binding with various local and remote data sources.
- **Swimlane**: The horizontal categorization of cards in the kanban, which brings transparency to the workflow. The swimlane rows can be expanded and collapsed.
- **Key mapping**: Map one or multiple keys to single columns.
- **Toggle Columns**: The columns can be expanded and collapsed.
- **WIP Validation**: Set a minimum and maximum number of cards in a column.
- **Priority Support**: The features enable to render the cards based on the priority value. So, user can easily drag and drop the cards to particular place.
- **Drag and Drop**: Cards can be easily dragged and dropped from one column to another. You can also drag them from one swim lane to another.
- **Stacked headers**: Additional column headers can be added in a stacked manner.
- **Tooltip**: Display the card information with a default tooltip and templated tooltip.
- **Selection**: Select a single or multiple cards.
- **Templates**: The key elements such as cards, column headers, swimlanes and tooltip come with template support for embedding any kind of HTML element and CSS style.
- **Responsive rendering**: Adapts with optimal user interfaces to mobile and desktop form-factors.
- **Localization**: All the static text content can be localized to any desired language.
- **RTL**: Display the control contents from right to left.

## LinearGauge

### New Features

- Drag events for pointer drag will be triggered now.

## Maps

### New Features

- `#F149168` - Support is provided to parse and utilize the complex data source.
- `#258888` - The map rendered from the providers such as Bing, OSM, and Google can now be exported in the supported formats.

## PDF Viewer

### New Features

- `#262787` - Exposed the event to notify the getPDFDocumentTexts method completed for all the pages.

## Pivot Table

### Breaking Changes

The appearance of the pivot table component has been improved.


### New Features

- `#259812` - Provision has been provided to display only the required aggregation types in their context menu.
- `#262927` - Now, the drill through and editing feature can be worked in pivot chart by clicking its series.
- `#263612` - Authentication option provided to access the OLAP Cube while connecting it in a pivot table.
- `#151883` - Additional parameters are included in the cell template feature to distinguish each cells.
- Now, you can customize the each field buttons (show and hide the icons, restrict drag and drop operations) available in grouping bar and field list separately.
- Provision provided to customize the tooltip for both pivot table and pivot chart views.
- Formatting option included in the calculated field pop-up to format the calculated fields dynamically.
- Provision provided to display only the required chart types in its context menu available in toolbar panel.
- An option included in the chart types context menu to change the multiple axes option dynamically.
- An option included in the member editor to sort its members in a desired order.
- Provision provided to export the complete page when virtual scroll option is enabled.

## ProgressBar

ProgressBar control is used to visualize the changing status of an extended operation such as a download, file transfer, or installation. All Progress bar elements are rendered by using Scalable Vector Graphics (SVG).


- **Type** - Visualizes the progress in different shapes, such as rectangle and circle.
- **Annotation** - Displays the custom content at the center of the circular progress bar.
- **Segments** - Visualizes the progress in different segments.
- **Angle** - Customizes the angle of the circular progress bar.
- **Customization** - Customizes the progress and tracks thickness and color.
- **Animation** - Progress bar be animated when rendering and refreshing the widget.

## RichTextEditor

### Bug Fixes

- `#266660` - The script errors thrown while destroying the multiple Rich Text Editor with the `showCharCount` property has been resolved.

## Slider

### Bug Fixes

- `#259186` The issue with the Vertical Slider tooltip content that rotate `225` degrees has been resolved.

## Spreadsheet

### New Features

- **Wrap text:** Provides the option to display the large content as multiple lines in a single cell.
- **Data validation:** Provides the option to validate edited values based on data validation rules defined for a cell or range of cells.
- **Find and Replace:** Provides the option to find the data and replace it across all the sheets in Spreadsheet.
- **Protect sheet:** Provides the option to restrict the user actions like cell editing, row and column insertion, deletion, and resizing.
- **Borders:** Provides the option to customize cell gridlines such as color and its style for enhanced UI.
- **Show/Hide:** Provides the option to show/hide the rows, columns and sheets.
- **Insert/delete:** Provides the option to insert/delete the rows, columns and sheets.

## TreeGrid

### Bug Fixes

- `#258560` - Deleting added records works properly for multiple child level.

### New Features

- Provides support to copy the selected rows or cells data into clipboard.
- Provides support to load large amount of data on-demand in Virtual Scrolling.
- Provides batch editing support for bulk add, edit and delete operations.

## raw

### 0

### 1

### 2

### 3

### 4

### 5

### 6

### 7

### 8

### 9

### 10

### 11

### 12

### 13

### 14

### 15

### 16

### 17

### 18

### 19

### 20

### 21

### 22

### 23

### 24

### 25

### 26

### 27

### 28

### 29

### 30

### 31

### 32

### 33

### 34

### 35

### 36

### 37

### 38

### 39

### 40

### 41

### 42

### 43

### 44

### 45

### 46

### 47

### 48

### 49

### 50

### 51

### 52

### 53

### 54

### 55

### 56

### 57

### 58

### 59

### 60

### 61

### 62

### 63

### 64

### 65

### 66

### 67

### 68

### 69

### 70

### 71

### 72

### 73

### 74

### 75

### 76

### 77

### 78

### 79

### 80

### 81

### 82

### 83

### 84

### 85

### 86

### 87

### 88

### 89

### 90

### 91

### 92

### 93

### 94

### 95

### 96

### 97

### 98

### 99

### 100

### 101

### 102

### 103

### 104

### 105

### 106

### 107

### 108

### 109

### 110

### 111

### 112

### 113

### 114

### 115

### 116

### 117

### 118

### 119

### 120

### 121

### 122

### 123

### 124

### 125

### 126

