## Common

### New Features

- Compatibility support provided for .NET 5.0 Release Candidate (RC1).
- `I283588,I281408,I278990`-Provided support for latest `sass` compilation.

## Chart

### Bug Fixes

- `#F155030` - DateTime Annotation now supports “dd/MM/YYYY” format. Now Annotation's x value supports object.

## CircularGauge

### Bug Fixes

- `#289787` - Animation of the pointer will now work properly when the axis is in the anticlockwise direction.

## Document Editor

### Bug Fixes

- `#283180` - Resolved font family no records found issue.
- `#282303` - Paste dropdown now hides when creating or opening new document.
- `#280951` - Table content renders properly now for table with merged cells.
- `#280973` - Resolved script while getting bookmarks from selection.
- `#284486` - Comment Tab in pane is removed when enable comment is false.
- `#283344` - Resolved the initial delay in pasting images.
- `#282707`,`#284035` - Resolved bullet list exporting issue in MAC devices.
- `#284412` - Comment mark is now deleted properly when comment is deleted.
- `#281339` - Resolved RTL issue when editing a list content.
- `#276616` - Paragraph maintained when inserting text in whole paragraph similar to MS Word.
- `#284775` - Resolved table resize enabled issue in protected mode.
- `#282504` - Resolved footer content overlapping issue when inserting image and table in footer.
- `#286986` - Table properties are now written properly on html exporting.
- `#286520` - Inserted text selection now applied properly after applying style.
- `#287740` - Paper size dropdown in page setup dialog now updated for document with A4 format.
- `#282515` - Resolved error on exporting a document which contains restart numbering.
- `#287633` - Table containing alignment is now exporting properly with alignment.
- `#286469` - Resolved table formatting issue when table splits to multiple pages.
- `#285747` - Resolved script error on server side export.
- `#284704` - Resolved script error on changing the footer distance.
- `#283529` - Resolved table layout issue when table is center aligned.
- `#286474` - Resolved table re layout issue when table have left indent value.
- `#289186` - Resolved issue on exporting a text box with line format none.
- `#288198` - Font family customization is also available on modify style dialog now.
- `#289187` - Resolved table border rendering issue when table have merged cells.
- `#287255` - Resolved page unresponsive error occurs on mail merge.
- `#286474`, `#288778` - Resolved script error thrown on choosing fill color.
- `#155699` - Image resize history is now called before the content change event.
- `#156086` - Resolved table layout issue on opening a saved document with merged cells.
- `#148494` - Resolved script error on destroying the container.
- `#289186` - Resolved layout issue on exporting a text box.
- `#289172` - Resolved script error when two or more server request is passed at same time.
- `#287775` - Resolved script error on saving a document with form field.
- `#289902` - Custom page height and width is now updating properly in page setup dialog.
- `#289902` - Resolved review pane enabled issue when track changes is disabled.
- `#157264` - Resolved script error when finding a text with curly braces.
- `#290625` - Tick icon in line spacing is aligned properly now.
- `#291882` - Now,Text contents were not transformed to upper case while copying.
- `#287582` - Apply shading property for form field is now maintained also on exported document.
- `#280951` - Table contents were not rendered on footer region now.
- `#287195` - Resolved script error throw while deleting large text inside a table.
- `#155699` - Resolved selection change event gets triggered before created event of document editor issue.
- `#290271` - Resolved some elements are not created with unique id in document editor component issue.
- `#288253` - Exported document with comments from editor contain initials property in file level now.
- `#287740` - Landscape Orientation not updated properly in page setup dialog now.
- `#291080`, `#157393` - Restrict editing property works when setting on component creation now.

### New Features

- Added API to delete bookmark.
- `#267515`- Added API to get searched item hierarchical index.
- `#284937`- Added API show restrict editing pane.
- `#280089`, `#283427`, `#250760` - Added event to notify service failure.
- `#275184` - Added support for retrieving next and previous element context type from current selection range.
- `#243495` - Added support for automatic text color.
- `#279355` - Added support to enable properties pane in read only mode.
- `#260677`, `#277329` - Added support for cropping images in document editor.
- `#250760` -  Added before file open event to restrict document loading based on file size.
- `#256210`, `#259583`, `#280989`, `#282228` - Added support for all Caps property for character.
- `#156915` - Added public API to check whether the selection is in edit region.
- `#287831` - Added public API to show spell check dialog.
- `#284434` - Spell checker performance was optimized.
- `#290372` - Added support to apply restart page number for different sections.
- `#290423` - Added resize API in document editor container.
- `#243495`, `#247427`, `#248347`, `#252755`, `#254094`, `#254684`, `#256926`, `#248347`, `#260233`, `#262638`, `#273681`, `#155458`, `#278038` - Added support to preserve content control feature.

## LinearGauge

### Bug Fixes

- Tooltip will now work properly in the Firefox browser.

### New Features

- `#289346` - A property `allowMargin` is exposed to render the gauge with space around the axis.

## Maps

### Bug Fixes

- `#F157226` - Marker clusters will now render properly when the markers are added dynamically to the maps.
- `#289864` - Hyperlinks added in the tooltip template will now be clickable in the click action.
- `#289034` - Panning will now work properly on mobile devices.
- `#287918` - Markers will now render properly when the animation duration is greater than 0.
- `#285727` - Outline for the shapes will no longer appear when clicking on it.

### New Features

`#291448` - A property `isShapeSelected` is exposed in the event arguments of the click event to specify whether the map shape is selected or not.


## MultiSelect

### Bug Fixes

- `#284951` - Issue with "script error occurs while providing the total count template with other locales" has been resolved.

## PDF Viewer

### Bug Fixes

- `#F156838` - The export success event triggers properly when you export the form fields data using the ExportFormFieldsAsObject method.
- `#285509` - Now, the signature is loaded properly in the PDF document.
- `#289417` - Now, the annotation toolbar position is maintained correctly.
- `#283977`, `#288781`  - Now, the custom stamp image is maintained correctly.
- `#291591` - Now, the text selection event is triggered properly.
- `#287511` - Resolved the casing issue in the stamp annotation.

### New Features

- `#285244` - Provided the support to render the button field in the PDF document.
- `#289233` - Provided the support to add an expiration timing for the cache.
- `#267670` - Exposed the toolbar option to retrieve the form field data in the JSON format.
- `#292106` - Exposed the property to open the annotation toolbar during the initial loading.
- `#285456` - Provided the support to change the localization dynamically for the PDF viewer control.
- `#291004` - Provided the support to display the signature throughout the given signature field.
- `#288250` - Provided the support to maintain the selection of the text markup annotation.
- `#284600`,`#F152648` - Provided the support to navigate between the signature fields in the code behind.
- `#284195`, `#285170`, `#288894`, `#293861`, `#294991` - Provided the support to add the custom signature image and text in the signature field.

## ProgressBar

The progress bar provides a customizable visual to indicate the progress of a task with different shape such as rectangle and circle.


## Spreadsheet

### Bug Fixes

- `#I290901` - Search option is not working in Spreadsheet component issue fixed.

### New Features

- **Picture:** Allows you to view, insert, and modify a picture in a spreadsheet with customizing options.
- **Multi-line editing:** Allows you to insert a line break between paragraphs of the text within a cell in a Spreadsheet.
- **Range selection helper:** Helps you to select a range or multiple ranges when editing a formula in a cell.

## TreeGrid

### Bug Fixes

- `#292933` - checkbox rendered properly while using  the template column.
- `#289685` - Aggregate Column Formatting is working fine
- `#288542` - The Expand / Collapse icon has been rendered properly while enabling expand state mapping and adding a new record.
- `#287235` - While enabling expand state mapping the Expand / Collapse icon works fine at nested child levels.
- `#285434`- Column SortComparer function works fine with null values for RemoteSaveAdaptor datasource.
- `#284987`- Records rendered properly while using remote save adaptor in created event.
- `#285434`- Column SortComparer function works fine with null values in datasource.
- `#F155077`- Records rendered properly while using remote data with jQuery unobtrusive library.

## TreeView

### Bug Fixes

- Standardized the spacing between two TreeView nodes in the Bootstrap4 theme.

