## Common

### New Features

- Compatibility support provided for .NET 5.0.
- `#301822` - Provided the support for Compare Attribute Validation.

## AutoComplete

### Bug Fixes

- `#290189` - Now, you can set the GUID value as ID of the control.

## ComboBox

### Bug Fixes

- `#290189` - Now, you can set the GUID value as ID of the control.

## DateRangePicker

### Bug Fixes

- `#290189` - Now, you can set the GUID value as ID of the control.

## DateTimePicker

### Bug Fixes

- `#290189` - Now, you can set the GUID value as ID of the control.

## Dialog

### New Features

- `#274382`, `#282351` - Provided the support to resize the dialog in all directions from all the edges and borders.

## Document Editor

### New Features

- `227250`, `143540`, `234463`, `252453`, `267474`, `67852`, `268213`, `273871`, `285146`, `288507`, `290372`, `295055`, `295548` - Added support for Footnote and Endnote.

## DropDownList

### Bug Fixes

- `#290189` - Now, you can set the GUID value as ID of the control.

## Form Validator

### Bug Fixes

- `#290189` - Now, you can set the GUID value as ID of the control.

## Gantt

### Bug Fixes

- `306342` - Included additional field in `taskData.segments`.

## Kanban

### Breaking Changes

- In `sortSettings` the default value of `sortBy` property has changed to `Index` from `DataSourceOrder`.

### New Features

- Provided workflow support that determines transitions of card from one column to another in Kanban.
- Provided support to prevent dragging and dropping the cards on particular column.
- Provided template support to the card tooltip and shown when hovering the cards.
- Improved the card layout by providing the default color, labels, and custom classes.

## Maps

### Bug Fixes

- `#302270` - The position of the marker cluster will now render properly when the Map control is positioned in an absolute location.

## MultiSelect

### Bug Fixes

- `#290189` - Now, you can set the GUID value as ID of the control.
- `#305354` - Issue with "SelectAll checkbox is not displayed while changing the data source dynamically" has been resolved.

## PDF Viewer

### Breaking Changes

- Client side Methods
- The `importAnnotations()` and `exportAnnotations()` methods are renamed to `importAnnotation()` and `exportAnnotation()`
- Server side Methods
- The `GetAnnotations()` and `ExportXfdfAnnotation()` methods are removed , and the alternative method is `ExportAnnotation()`.
- The `ImportAnnotationFromXfdf()` method is removed , and the alternative method is `ImportAnnotation()`.

### Bug Fixes

- `#F155593` - Exception will no longer be thrown while exporting the form fields.
- `#299497`, `#301943` - Triggered the event on updating the value in the free text annotation.
- `#301759`, `#303702` - Now, the document is rendered correctly in the Mobile device.
- `#299797`, `#298544` - Now, the signature is saved correctly in the signature panel.
- `#300917` - Now, the read-only text box field background color is maintained correctly.
- `#301513` - The `isProgrammaticSelection` property is returned properly in the annotation select event.
- `#299303` - Now, the waiting pop is visible on the page on applying the Zoom mode property.
- `#301753` - The ExportAnnotationAsObject is now working properly.
- `#286360` - The PDF document is now perfectly rendered with the free text annotation on a mobile device.
- `#300141` - The extra character is not displayed in the textbox field for the PDF document.
- `#296491` - Now, the format is included in the exported file in IE.

### New Features

- `#F159868` - Expose the Created event for the PDF Viewer component.
- `#297447` - Provided the support for adding the custom text in the notification popup.
- `#298336` - Provided the support to clear the text in the search box on opening it again in our PDF Viewer control.
- `#293756` - Exposed the comments select and status update event.
- `#298173` - Expose a property for removing the save signature checkbox in the signature dialog.
- `#277299`, `#278926` - Provided the support to customize the Signature Field properties.
- `#293920` - Provided the support to change the date-time format dynamically from the code behind.
- `#300570` - Provided the support to clear the annotation selection.
- `#299501` - Exposed the event before adding the free text annotations.
- `#297337`, `#298646`, `#298723`, `#301996` - Expose an event on focus out of the form field.
- `#288134` - Provided the support to lock the comments of the annotations.
- `#293561` - Exposed a property to show or hide a desktop toolbar in the mobile devices.
- `#293367`, `#300818` - Provided the support for opening the bookmark panel initially.
- `#F155788`, `#296389`, `#297432` - Provided the support for importing and exporting the annotation in XFDF format.

## Pivot Table

### Bug Fixes

- `#298588`,`#299848` - Now the pivot table can be dynamically refreshed without any errors.

## RichTextEditor

### New Features

- **File Manager**: `F144048`, `#234755`, `#261368`, `#261882`, `#150871`, `#270549` - This feature allows the editor to browse and insert the images from FileManager using various remote service.
- `F149800` - Provided new property `removeUrl` in `insertImageSettings` API to trigger the image remove operation in server, when image removed from editor.
- `#301980` - Provided the support to return the `Xhtml` value in the `value` property when the `enableXtml` property is enabled in the Rich Text Editor.
- `#264791`, `#295032`, `#299905`, `#F159588` - Provided the support to retain all the styles from MS Excel while pasting the content in the Rich Text Editor.

## Schedule

### New Features

- Provided the event Drag and Drop and Resize support for Timeline Year view.

## TimePicker

### Bug Fixes

- `#290189` - Now, you can set the GUID value as ID of the control.

## Tree Grid

### New Features

- `#294082` - Provided Immutable Support to refresh specific rows while perform Tree Grid actions.
- `#298682`, `#299561` - Added getVisibleRecords API to get the visible records based on collapsed rows state.
- `#283491` - Provided error handling support to easily rectify errors in sample side.

## TreeGrid

### New Features

- `#294082` - Provided Immutable Support to refresh specific rows while perform Tree Grid actions.
- `#298682`, `#299561` - Added getVisibleRecords API to get the visible records based on collapsed rows state.
- `#283491` - Provided error handling support to easily rectify errors in sample side.

## Uploader

### Bug Fixes

- `#290189` - Now, you can set the GUID value as ID of the control.

