## Accordion

### Breaking Changes

- The following properties type was changed.

| Property | Previous Type | Current Type | 
|---|---|---|
| Disabled | `anonymous` | `boolean` | 
| Expanded | `anonymous` | `boolean` | 
| Visible | `anonymous` | `boolean` | 

## Chart

### Bug Fixes

- `#313827` - Fixed stripline fails issue on canvas mode.
- `#304737` - Remove child of null console error thrown while using canvas mode issue has been fixed.
- `#314894` - Stripline is not working in datetime for core platform issue fixed.
- `#F162046` - Dynamic indicator change using useState issue resolved.

### New Features

- Range color mapping feature added.

## CircularGauge

### New Features

- `#290958` - When `startValue` and `endValue`properties are not set, the linear gradient will follow the circular path in the ranges.

## Document Editor

### Breaking Changes

- The `DictionaryData(int langID,string dictPath,string affPath,string customPath)` is marked as obsolete. Use the alternate new constructor `DictionaryData(int langID, string dictPath, string affPath)` in `Syncfusion.EJ2.SpellChecker` spell checker.
- The `SpellChecker(List<SpellCheckDictionary> dictItem)` is marked as obsolete. Use the alternate new constructor `SpellChecker(List<DictionaryData> dictItem, string customDicPath)` in `Syncfusion.EJ2.SpellChecker` spell checker.

### Bug Fixes

- `#315096` - Selection behaviour is updated properly, while pasting a URL and clicking enter after the URL.
- `#315413`, `#317463` - Table cell is now rendered properly.
- `#314467` - Find and replace is now working properly.
- `#315441` - While inserting same bookmark multiple times and deleting, bookmarks were preserved properly now.
- `#316532` - ParagraphFormat is now preserved while pasting with text only option.
- `#314193` - Document with charts were now preserved properly on exporting.
- `#161908`, `#318321` - Added API to show/hide restrict editing pane.
- `#315435` - Table cell width now preserved properly on editing.
- `#162638` - Table background color was now updated properly on updating borders and shading.

## Gantt

### Bug Fixes

- `316898` - Maintained additional fields in segments on zooming action.

## Maps

### Bug Fixes

- `#312465` - When the `zoomFactor` property is set as 0 in the tile maps, it now renders properly.
- `#311273` - The `imageUrlValuePath` property now correctly renders markers as images.
- `#312865` - Markers will now render properly when they are added dynamically in the click event with "Normal" geometry type maps.
- `#317398` - `shapeSelection` method will now work properly with multi-layers on the Maps.

## MaskedTextBox

### New Features

- `#284609` - Now, the cursor will position based on the value present in the input element while focusing the component.

## PDF Viewer

### New Features

- `#F158073`, `#291648`- Exposed the annotation UnSelect event in PDF Viewer.

## Pivot Table

### Breaking Changes

- The `chartSettings.enableMultiAxis` property is deprecated and will no longer to be used. Use `chartSettings.enableMultipleAxis` to achieve the same.

### New Features

- `#294982`,`#F157008` - In addition to existing aggregation types, a median type has been included.
- `#293740`,`#294851`,`#295251`,`#310709`,`#F158140` - Multiple values (i.e. measures) can now be displayed in a single axis.
- Hyperlink can now be set based on caption of measure fields.
- `#316689` - Data from the data manager can now be retrieved using a custom query.

## QueryBuilder

### New Features

- Provided Complex data binding Support
- Provided Header Template Support

## Recurrence Editor

### Breaking Changes

- The following properties type was changed.

| Property | Previous Type | Current Type | 
|---|---|---|
| `selectedType` | `anonymous` | `int` | 
| value | `anonymous` | `string` | 

## Schedule

### New Features

- **Multiple events drag and drop** - This feature allows to select multiple events and reschedule them quickly by drag-and-drop. Multiple selections can be done by pressing the CTRL key with a click.
- **Time Format** - This feature allows users to set `24-hour` or `12-hour` time formats in the scheduler. By default, the time format applies from the schedule's current culture configuration.

## Tree Grid

### New Features

- `#274416, #274607, #313192, #F159014` - Provided Infinite Scrolling support for Tree Grid which allows you to lazy load data when scroller reaches the near end.
- `#280065` - Provided support to maintain Expand/Collapse state of Tree Grid while exporting the data.

## TreeView

### Bug Fixes

- `#310875` - The issue with "The `isChecked` attribute is not working when using the `sortOrder` property in TreeView" has been resolved.
- `#282214` - Now the `isChecked` attribute value is updated properly in the `NodeChecked` event arguments in the TreeView component.

