## PDF

### Features
{:#PDF-features}

* \#F175439 – Provided support to enable LTV from time stamp server URI.
* \#F176704 – Provided support to get specific revocation status with signature validation options.
* Provided Linux and Mac support for PDF imaging NET Core library.

### Breaking Changes
{:#PDF-breaking-changes}

* By default, the HTML to PDF converter uses the advanced Chromium blink rendering engine to convert HTML to PDF.
* IE and WebKit rendering engines are marked as obsolete. WebKit and IE-based HTML to PDF converter NuGet packages are marked as deprecated.
* A warning message will now be added to the PDF document while converting HTML to PDF using the WebKit rendering engine. You can remove it using a DisableWebKitWarning property.
* Updated the Newtonsoft.Json package to 13.0.1 for HTML to PDF converter to avoid security vulnerabilities.
* Modified NuGet package names for HTML to PDF converter; please find the equivalent new package names for the old packages.

<table>
<tr>
<thead>
<th>Old NuGet Package Name</th>	
<th>New NuGet Package Name</th>
</thead>
</tr>
<tr>
<td>Syncfusion.HtmlToPdfConverter.Blink.Net.Core.Linux</td>
<td>Syncfusion.HtmlToPdfConverter.Net.Linux</td>
</tr>
<tr>
<td>Syncfusion.HtmlToPdfConverter.Blink.Net.Core.Windows</td>
<td>Syncfusion.HtmlToPdfConverter.Net.Windows</td>
</tr>
<tr>
<td>Syncfusion.HtmlToPdfConverter.Blink.Net.Core.Mac</td>
<td>Syncfusion.HtmlToPdfConverter.Net.Mac</td>
</tr>
<tr>
<td>Syncfusion.HtmlToPdfConverter.Blink.Net.Core.Aws</td>	
<td>Syncfusion.HtmlToPdfConverter.Net.Aws</td>
</tr>
<tr>
<td>Syncfusion.HtmlToPdfConverter.Blink.WinForms</td>
<td>Syncfusion.HtmlToPdfConverter.WinForms</td>
</tr>
<tr>
<td>Syncfusion.HtmlToPdfConverter.Blink.WPF</td>
<td>Syncfusion.HtmlToPdfConverter.WPF</td>
</tr>
<tr>
<td>Syncfusion.HtmlToPdfConverter.Blink.AspNet</td>	
<td>Syncfusion.HtmlToPdfConverter.AspNet</td>
</tr>
<tr>
<td>Syncfusion.HtmlToPdfConverter.Blink.AspNet.Mvc5</td>
<td>Syncfusion.HtmlToPdfConverter.AspNet.Mvc5</td>
</tr>
</table>

### Bug Fixes
{:#PDF-bug-fixes}

* \#I401102 – Invalid annotation export generated JSON format is now resolved.
* \#I389626 - Form field values are now preserved properly when the font embedded with the string PS/PMST value.
* \#I403467 – The bookmark mapping issue while merging PDF documents is now resolved.
* \#I397797 - The space between text missing issue is now resolved when extracting the text from PDF.
* \#I397908 – Conformance failure is now resolved while converting PDF to PDF/A-1b.
* \#I397566 - Text is now correctly preserved while exporting PDF as an image using `ImageExportSettings`.
* \#I397189 - Preservation issue no longer occurs while converting the PDF to PDF/A1-b and PDF/A2-b document.
* \#I375314 – `KeyNotFoundException` no longer occurs while OCRing the particular PDF document.
* \#394556 – Form field bounds are now appropriately set while modifying the existing pdf document.
* \#I386200 – PDF/A3-b Conformance failure is now resolved for a particular PDF document.
* \#I403717 - Replace Image is now working properly for specific PDF documents.
* \#F176704 - The revocation error message is now updated correctly.
* \#I401014 - Exception occurs while flatting the particular document after adding the checkbox field is now resolved.
* \#I397274, #I401301 - Exception no longer occurs when getting fonts details from free text annotation in an existing PDF document.
* \#I394699 - Exception no longer occurs when drawing a nested grid using page graphics with pagination content.
* \#I398528 – Annotation is no longer misplaced after flattening the annotation from the existing PDF document.
* \#F176704 – Signature validation returns incorrect results for a particular signed PDF document is now resolved.
* \#I397452 - The PDF string layout now shows a proper layout of the text with an incorrect size.
* \#I395927 - Form Fields and their values are now preserved correctly after merging a PDF document.
* \#F176582 – Exception no longer occurs while saving the document by enabling `EnableXfaFormFill`.
* \#I395541 – Exception no longer occurs when getting the border value from loaded square annotation.
* \#I388926 - The digital signature failed issue no longer occurs while getting page layer count from a signed PDF document.
* \#I379333 - Annotation comments are missing after export and import annotation with XFDF format is now resolved.
* \#I400803 - Index out of bounds exception no longer occurs while extracting the text with `TextLineCollection` in NET Core.
