## CircularGauge

### Breaking Changes

- The circular gauge tooltip has been replaced with `EJ2 SVG Tooltip`, so now it is mandatory to include `ej2-svg-base.umd.min.js` in system.js configuration if you are using system.js module loader. Update the system.js configuration while using this version and above.

## Dialog

### New Features

- Enabled draggable support for modal dialog also.
- Provided built-in utility functions to render the alert and confirm dialogs with minimal code.

## Document Editor

### New Features

- Added support for Page break.
- Added `insertSectionBreak` method in `Editor` class to insert a section break at current selection.

## HeatMap

### New Features

- Bubble tile type support has been included in heatmap for visualizing data points by mapping the data to bubble size and bubble color.
- Axis label increment feature has been added to heat map. It’s is used to display the axis label with regular interval values in numeric and date time axes
- Provided the smart legend feature for fixed type legend.
- Provided the support for nested data binding for JSON data.

## LinearGauge

### Breaking Changes

- The linear gauge tooltip has been replaced with `EJ2 SVG Tooltip`, so now it is mandatory to include `ej2-svg-base.umd.min.js` in system.js configuration if you are using system.js module loader. Update the system.js configuration while using this version and above.

## ListView

### New Features

- Provided multi-line text support in combination with [Avatar](https://ej2.syncfusion.com/documentation/avatar/getting-started.html?lang=typescript) and [Badge](https://ej2.syncfusion.com/documentation/badge/getting-started.html?lang=typescript).

## Maps

### Breaking Changes

- The maps tooltip has been replaced with `EJ2 SVG Tooltip`, so now it is mandatory to include `ej2-svg-base.umd.min.js` in system.js configuration if you are using system.js module loader. Update the system.js configuration while using this version and above.

### Bug Fixes

- Tooltip is now working properly for marker in OSM map.

## Menu

Menu is a graphical user interface that serves as navigation header for your application or site. Menu can be populated from a data source such as an array of JavaScript objects that can be either structured as hierarchical or self-referential data. The following key features are available in Menu component.


- **Rendering** - Supports to render based on the items collection (array of JavaScript objects) and HTML elements.
- **Separator** - Supports menu items grouping by using the Separator.
- **Icons and Navigations** - Supports items to have Icons and Navigation URL's.
- **Template and Multilevel Nesting** - Supports template and multilevel nesting in Menu.
- **Accessibility** - Provided with built-in accessibility support that helps to access all the Menu component features through the keyboard, screen readers, or other assistive technology devices.

## Pivot Grid

### New Features

- 208354, 211758 — Value fields can be placed in row axis now.
- **Virtual scrolling** options have been provided to load large amounts of data with high performance.
- **Conditional formatting** support allows users to define conditions and format grid cells’ font, colour etc.
- **Label and value-based filtering** options are provided that work similar to Microsoft Excel.

## ProgressButton

The progress button visualizes the progression of an operation to indicate the user that a process is happening in the background. The progress can be shown with graphics accompanied by a textual representation.


- **Types, Sizes, and Styles** - Provided with different types, sizes and predefined styles of progress button.
- **Icons and Spinner** - Supports icon, spinner and its positioning.
- **Animation** - Provided with predefined animation and progress indicator.
- **Events** - Supports event triggering at specified interval.
- **Accessibility** - Provided with built-in accessibility support that helps to access all the ProgressButton component features through the keyboard, screen readers, or other assistive technology devices.

## Schedule

### Breaking Changes

- The class name **`ScheduleResourcesModel`** to access the resource options has been changed to **`ScheduleResource`** now as per the standard.
- The class name **`ScheduleViewsModel`** to access the view options has been changed to **`ScheduleView`** now as per the standard.

### New Features

- **Timeline view** - Displays the day, week, work week and month view layouts in timeline mode by illustrating both the date and time intervals in horizontal orientation. Also, it organizes the resource display in a hierarchical tree structure based on the grouping levels.
- **Header rows** - Provided support to add custom header rows on timeline views, to depict an additional row for displaying the corresponding year, month, week number and dates.
- **Drag and Drop** - Appointments can be easily rescheduled to some other time, by dragging and dropping it onto the required time slots.
- **Resize** - Appointment’s time can be easily extended either by resizing its start or end handlers.
- **Week Number** - Support added to display the week number of the current date, beside the date header section.
- Provided template support for customizing `quick popup`, that opens while clicking on the cells or appointments.
- The data type of the appointment ID field is made compatible to accept both string and number type values.

## TextBox

### New Features

- Included fluent builder support to the textbox component that renders floating label with minimum configuration.

## TreeView

### New Features

- Provided an option to get updated data source of tree view after drag and drop, editing, deleting, and adding nodes in tree view.
- Support to get custom data from tree view.
- Support to maintain expanded nodes of tree view on page reloads.
- Provided an option to get all the checked nodes if the tree node is expanded or collapsed.
- Provided 'none' option in 'expandOn' property to prevent expand or collapse of tree node
- Provided an option to prevent the parent node from expanding, while adding a node to the tree view control.

## Uploader

### New Features

- Provided directory (folder) upload support that uploads all files of folder including sub-folder to server.
- Provided paste to upload support that helps to uploads any images to a server on pasting images from clipboard.

