## CircularGauge

### Bug Fixes

- `#I240678` - The issue with setting the value "0" in line width of circular gauge has been resolved
- `#I238300` - The issue with animation in circular gauge and flickering has been resolved

## Document Editor

### Breaking Changes

- The `pasteLocal` method in `Editor` module is changed to `paste`, which accepts the sfdt string as argument. If sfdt string does not present, paste the local clipboard data.

### Bug Fixes

- `#240558` - Page numbers are now updated properly.
- `#228049` - Table left border and shadings are now rendered properly.
- `#228049` - Paragraph left indent will never add extra space in table cell.
- `#239144` - Font Type and size value gets highlight when focused on corresponding dropdown list.

## Gantt

### Bug Fixes

- #237939 - Issue with `format` property has been fixed.

## Maps

### Bug Fixes

- `#F143717` - Zooming toolbar position misalign problem that occurs when there are multiple elements in DOM has been fixed
- `#I238404` - The issue that occurs when rendering bubble for point type Shape Data has been fixed
- `#I238839` - The console error that occurs when mouse leaves from the maps Shapes with legend hide option has been resolved

## NumericTextBox

### Bug Fixes

- `#238077` - Now, numeric textbox model value post to the server instead of a formatted numeric string when submitting the form.

## PDF Viewer

### Breaking Changes

- The following event arguments are renamed.

| Existing Event Arguments Name | New Event Arguments Name | 
|---|---|
| IUnloadEventArgs | UnloadEventArgs | 
| ILoadEventArgs | LoadEventArgs | 
| ILoadFailedEventArgs | LoadFailedEventArgs | 
| IAjaxRequestFailureEventArgs | AjaxRequestFailureEventArgs | 
| IPageChangeEventArgs | PageChangeEventArgs | 
| IPageClickEventArgs | PageClickEventArgs | 
| IZoomChangeEventArgs | ZoomChangeEventArgs | 
| IHyperlinkClickEventArgs | HyperlinkClickEventArgs | 
| IAnnotationAddEventArgs | AnnotationAddEventArgs | 
| IAnnotationRemoveEventArgs | AnnotationRemoveEventArgs | 
| IAnnotationPropertiesChangeEventArgs | AnnotationPropertiesChangeEventArgs | 

### Bug Fixes

- `#233161` – Now, loading Indicator will be shown properly while loading a large page size document.
- `#233035` - HyperlinkClick event is now triggered properly.
- `#234364` - Pan interaction mode is now working properly when the toolbar is disabled.
- `#231436` - PDF document is now rendered properly while using the PDF Viewer control inside Tab control.
- `#232104` - Cleared the warnings in css files.
- `#238761` - Height of the PDF Viewer control is now maintained properly when using inside the tab control.
- `#233035` - Now, the destination value of link annotation is retrieved correctly in the ASP.NET MVC environment.

### New Features

- `#208298`, `#223253`, `#224643`, `#233655`, `#238694` - Provided the supports for shape annotations.
- `#219446`, `#224643`, `#230115`, `#233032`, `#F144297`, `#236825`, `#238694` - Provided the supports for stamp annotations.
- `#229426` - Provided the supports for calibrate annotations.
- `#223253`, `#238694` - Provided the supports for sticky notes annotations.
- `#238812` – Provided support to restrict the hyperlink navigation.
- `#236995` – Provided support to restrict the pinch zooming using the ‘enablePinchZoom’ property.

## Pivot Table

### Breaking Changes

The following enum type has now been renamed.


| Previous Type | Modified Type | 
|---|---|
| CellSelectionMode | PivotCellSelectionMode | 

## TextBox

### New Features

- `#226404`, `#F141814` - Provided `Material2 outline layout` for textbox.
- `#226950` - Provided `Material2 filled layout` for textbox.

