## Accumulation Chart

### New Features

- Border support have been provided for doughnut and pie while hovering.
- Options have been provided to rotate data labels.

## Chart

### New Features

- Options provided to customize the series tooltip format separately.
- Multi-select options have been provided to allow users to select multiple regions in a chart.
- Lasso select options have been provided to allow users to select a region by drawing freehand shapes.
- Options have been provided to rotate data labels.

## CircularGauge

### New Features

- `#I218689` - An option has been provided to hide a label when it intersects with other labels.
- `#I229216` - Tooltip support has been provided for circular gauge annotation.
- `#I238868` - Tooltip support has been provided for circular gauge ranges.
- `#I210142` - Legend support has been provided for circular gauge ranges.

## Document Editor

### Bug Fixes

- `#245457`, `#245459` - Table is now layout properly.
- `#246127`, `#246597`, `#247364` - Page number field is now exported properly in Sfdt export.

## File Manager

### Breaking Changes

- Support has been provided in ASP.NET MVC platform for customizing the columns of file manager's details view. We have also limited the `columns` attributes of the `detailsViewSettings` property instead of accessing the all attributes from the `Grid` sub component.

## Gantt

### New Features

- `#233407` - Provided support to perform Excel and CSV exporting in Gantt.

## HeatMap

### Breaking Changes

The `DataSource` property has been split into `DataSource` and `DataSourceSettings` properties.
The `DataSource` property is used to bind data to HeatMap and the `DataSourceSettings` property is used to configure the data source using adaptor settings.


### New Features

- Provided a minimum and maximum color display based on row and column wise

## Maps

### New Features

- The toggle option has been provided for legend. So, if you toggle the legend, the given color will be changed to the corresponding shape item.

## PDF Viewer

### New Features

- `#227046`, `#230887`, `#142366`, `#231973`, `#I237847`, `#244849`, `#238686`, `#239233`, `#241638`, `#241638`, `#242232`, `#239221`, `#240051`, `#245255` – The support has been provided for filling the form fields.
- `#233655`, `#236240`, `#236825`, `#238694`, `#241974`, `#243864`, `#245087` – The support has been provided for free text annotation.
- `#246059` - Exposed the thumbnailClick event to identify the thumbnail clicks action.
- `#246767` – The support has been provided to export the annotation details as JSON object in client-side.
- `#245008` – The support has been provided to update the existing calibrate annotation if we modify the scale value.
- Improved the scrolling performance in mobile devices.

## Pivot Table

### New Features

- #245423 – Provision provided to persist and reload the pivot report.
- Provided SSAS OLAP data source support.

## RichTextEditor

### New Features

- **Drag and drop images from local system**: The feature allows to insert the images to the editor by drag and drop from local path. The images can uploaded to the server before insert into the editor.
- **Resizable Editor**: `#236064` - This feature allows the editor to be resized. Users can enable or disable this feature using the `enableResize` property. If `enableResize` is true, the RichTextEditor component creates grip at the bottom right corner to resize it in diagonal direction.
- **Pasting images from Microsoft Word and Microsoft Outlook**: This feature allows you to paste the images in the editor by copying and pasting from Microsoft Word and Outlook. The images can be uploaded to the server before inserting into the editor.

## Slider

### New Features

- `#234797` - Provided the color customization for each range of the slider track.

## Spreadsheet

The Spreadsheet is an user interactive component to organize and analyze data in tabular format with configuration options for customization.


- **Data sources:** Binds the spreadsheet component with an array of JavaScript objects or DataManager.
- **Virtualization:** Provides option to load large amount of data without performance degradation.
- **Selection:** Provides option to select a cell or range of cells.
- **Editing:** Provides options to dynamically edit a cell.
- **Formulas:** Provides built-in calculation library with predefined formulas and named range support.
- **Clipboard:** Provides option to perform the clipboard operations.
- **Cell formatting:** Provides option to customize the appearance of cells.
- **Number formatting:** Provides option to format the cell value.
- **Open:** Provides option to open an Excel file in spreadsheet.
- **Save:** Provides option to save spreadsheet data as excel file.
- **RTL:** Provides right-to-left mode which aligns content in the spreadsheet component from right to left.
- **Localization:** Provides inherent support to localize the UI.
- **Accessibility:** Provides with built-in accessibility support which helps to access all the spreadsheet component features using the keyboard, screen readers, or other assistive technology devices.

## TreeGrid

### New Features

- `#237050`, `#237420`, `#237783` - Custom Data binding support has been provided that allows users to handle data externally and bind result to treegrid.
- `#F145931` - Frozen Rows and Columns support has been provided that freezes the specific rows or columns and make them always visible in the top and/or left side of the Tree Grid while scrolling.

## TreeView

### Bug Fixes

- #242926 - Now the drop indicator has been shown correctly while enabling the checkbox.

