## Document Editor

### Bug Fixes

- `#286986` - Table properties are now written properly on html exporting.
- `#286520` - Inserted text selection now applied properly after applying style.
- `#287740` - Paper size dropdown in page setup dialog now updated for document with A4 format.
- `#282515` - Resolved error on exporting a document which contains restart numbering.
- `#287633` - Table containing alignment is now exporting properly with alignment.
- `#286469` - Resolved table formatting issue when table splits to multiple pages.
- `#285747` - Resolved script error on server side export.
- `#284704` - Resolved script error on changing the footer distance.
- `#283529` - Resolved table layout issue when table is center aligned.
- `#283180` - Resolved font family no records found issue.
- `#282303` - Paste dropdown now hides when creating or opening new document.
- `#280951` - Table content renders properly now for table with merged cells.
- `#280973` - Resolved script while getting bookmarks from selection.
- `#284486` - Comment Tab in pane is removed when enable comment is false.
- `#283344` - Resolved the initial delay in pasting images.
- `#282707`,`#284035` - Resolved bullet list exporting issue in MAC devices.
- `#284412` - Comment mark is now deleted properly when comment is deleted.
- `#281339` - Resolved RTL issue when editing a list content.
- `#276616` - Paragraph maintained when inserting text in whole paragraph similar to MS Word.
- `#284775` - Resolved table resize enabled issue in protected mode.
- `#282504` - Resolved footer content overlapping issue when inserting image and table in footer.

### New Features

- `#275184` - Added support for retrieving next and previous element context type from current selection range.
- `#243495` - Added support for automatic text color.
- `#279355` - Added support to enable properties pane in read only mode.
- `#260677`, `#277329` - Added support for cropping images in document editor.
- `#250760` -  Added before file open event to restrict document loading based on file size.
- `#256210`, `#259583`, `#280989`, `#282228` - Added support for all Caps property for character.
- Added API to delete bookmark.
- `#267515`- Added API to get searched item hierarchical index.
- `#284937`- Added API show restrict editing pane.
- `#280089`, `#283427`, `#250760` - Added event to notify service failure.

## Dropdown Tree

### Breaking Changes

- `#273325` - Provided the option to customize the Dropdown Tree’s input height when the content is increased.

## PDF Viewer

### Bug Fixes

- `#282486` - Now, undo and redo is working properly for the freetext annotations.
- `#F155593`- Exception will no longer be thrown while exporting the formfields.
- `#282530` - The Script error will no longer be thrown if we select the handwritten signature in mobile devices.
- `#F155593`, `#283379` - Now, PDF Viewer control is working in IE.
- `#276455` - Disabled the comment panel while importing the annotations when the enableCommentPanel property is set to true.
- `#283804` - Now,the file extension is added propely on downloding the PDF document in Firefox browser.

### New Features

- `#267670` - Exposed the toolbar option to retrieve the form field data in JSON format.
- `#281898` - Provided the support to add comments programmatically for the newly added annotations.
- `#279353` - Provided the support for line head start and end style for the distance annotation.
- `#281440`, `#286154` - Exposed the annotationinteractions API to configure the interaction behavior for the locked annotations.

## Pivot Table

### New Features

- `#260352`,`#276917`,`#280407`,`#281842` - Provided an option to do the aggregation in server side and the rendering part alone will be done in client side. It is to improve the performance while binding huge size of data from remote server.
- `#279727` - Provided support to sort the alphanumeric field members.
- `#F155279` - Provided an option to restrict the drill-through pop-up to display.
- `#281462`,`#282526`,`#287070` - Provided an option to edit the aggregated cells directly (inline editing) without opening editing pop-up.
- `#283107` - Provided template support in toolbar panel to create custom toolbar option.
- `#284800` - Introduced an event to get the edited raw data information after the editing operation.

## TreeView

### Bug Fixes

- `#286992` - The issue with rendering the TreeView with hierarchical data source using the offline property has been resolved

