## Common

### Bug Fixes

- `#I327279` - The issue with "Warning throws on upgrading/installing our package with the latest version of dependent Newtonsoft.Json package" has been fixed.

### New Features

- `#321974` - Provided support for handling the `nonce` parameter to enable the Content Security Policy(CSP).

## Document Editor

### Bug Fixes

`#I326717` - Table border is preserved in the exported word document
`#I325968` - New line changes are now tracked properly
`#I325590` - Context menu behaviour for spell check is resolved.
`#I325697` - Spell check in tracked changes is now updated properly.
`#I324896` - List track changes are now applied properly.
`#I322387` - DocumentEditorContainer disposing issue is resolved.
`#I324622` - Resolved the chart parsing issue.
`#I324911` - Console error when opening document with footnote is resolved.
`#I324907` - Numbering list is copied with proper color.
`#I323215` - Table is now layout properly after row delete.
`#I322560` - Page content duplication issue is resolved.


### New Features

- `#I324911` - Provided support for inserting non-breaking space character on Ctrl + Shift + Space key combination.
- `#I326184` - Added option to specify the device pixel ratio for the image generated while printing the document.

## File Manager

### Bug Fixes

- `#I323484` - Now, the warning dialog will be displayed while dropping the searched file into the same source location in the File Manager component.

## Gantt

### New Features

- `#264444` - Provided support for managing date with different time zones.
- `#307881`, `#309475` - Improved performance while scrolling, when predecessors are mapped.

## Pivot Table

### Bug Fixes

- `#323920`,`#323936`,`#325138` - Issues in server-side engine have been fixed.
- `#F164323` - The pivot chart is now drawn properly when the height is set as a percentage.

### New Features

- `#325971`,`#325981` - The server-side engine now supports toolbar feature.
- The number of aggregation menus shown at the start can now be customized.

## RichTextEditor

### Breaking Changes

- The `ToolbarStatusUpdate` event has been deprecated. Use `UpdatedToolbarStatus` new event to get the status of the updated toolbar.

## Tree Grid

### New Features

- `#F160234`, `#I306539` - Provided support for adding parent and child records together using `addRecord` method.

