## Common

### New Features

- Built-in support added for Bootstrap5 CSS theme with light and dark variants for Syncfusion ASP.NET MVC components.

## AutoComplete

### Bug Fixes

- `#I341229` - Issue with "focus class is not removed after focusing out the component when enable the `showPopupButton` property" has been resolved.

## Breadcrumb

Breadcrumb is a graphical user interface that helps to identify or highlight the current location within a hierarchical structure of websites. The aim is to make the user aware of their current position in a hierarchy of website links.


- **Overflow Mode** - Used to limit the number of breadcrumb items to be displayed.
- **Icons** - Icons can be specified in Breadcrumb items.
- **Template** - Supports template for item and separator.
- **Bind To Location** - Supports items to be rendered based on the URL or current location.
- **Accessibility** - Provided with built-in accessibility support that helps to access all the Breadcrumb component features through the keyboard, screen readers, or other assistive technology devices.

## Chart

### New Features

- `#I328985, #I327703` - Provide pixel support for data points in rectangular chart types such as bar, range column, and column.

## Dashboard Layout

### Bug Fixes

- `#I342569` - The issue with "Dashboard panel moves away from the cursor while dragging in the middle of the page" has been resolved.

## Document Editor

### Breaking Changes

- Optimized the accuracy of text size measurements such as to match Microsoft Word pagination for most Word documents. This improvement is included as default behaviour along with an optional API `enableOptimizedTextMeasuring` in Document editor settings. To disable this improvement and retain the document pagination behaviour of older versions, kindly set `false` to `enableOptimizedTextMeasuring` property.

### Bug Fixes

- `#I334754`, `#I337720`, `#F167429` - Resolved the localization issue.
- `#I333264` - Resolved the before spacing issue for the paragraph starting in new page.
- `#I333226` - Resolved the underline issue.
- `#I332508` - Resolved the tracking of multiline and empty paragraph revision.
- `#I335858`, `#F148494` - Resolved the script error in component destroy.
- `#F166420` - Resolved the SFDT exporting issue with shape.
- `#I332253` - Resolved the cut paste hyperlink issue when track changes enabled.
- `#I335409` - Resolved user list updating issue in restrict editing pane.
- `#I328976` - Table and document content is now displayed properly.
- `#I331333` - Resolved the page unresponsive issue when opening a document with nested table.
- `#I331763` - Table with position property is now displayed properly after editing the document.
- `#I330233` - Resolved the extra page issue when updating cross reference field.
- `#I329790`, `#I331351` - Table is now displayed properly based on compatibility mode of the document.
- `#I332483` - Bookmark is now preserved properly after deleting the content from a document containing bookmark.
- `#I331762` - Table with merged cell is now displayed properly.
- `#I330485` - Ole picture is now preserved properly as normal picture.
- `#I330776` - Resolved the casing issue in the suggestions generated by spell checker.
- `#I330982` - Resolved the text encoding problem when pasting with Java server-side library.
- `#I325741` - Footnote is now displayed properly when opening a document.
- `#I331634` - Table with preferred width type percent and allow auto fit property false is now displayed properly.
- `#I331274` - Table positioning property is now preserved properly.
- `#I331667` - Document with building block gallery content control is now exported properly.
- `#I331452` - Footnote inside the table is now displayed properly.
- `#I331606` - Document with block content control is now exported properly.
- `#I331667`, `#I332223` - Shape in footer is now preserved properly.
- `#I330686`, `#I331349`, `#I310463` - Shape fill is now preserved properly.
- `#I332333` - Zoom value is now updated properly in status bar.
- `#I319210` - The changes and comment tab in the review pane will be visible only if at least one tracked change or comment is present in the document.
- `#I337569` - Table in a document with compatibility mode is now displayed properly after editing.
- `#I331349` - Resolved the text clipping issue.
- `#I336632` - Resolved the next style hierarchy issue.
- `#I335857` - Resolved the after spacing preservation issue during copy and paste.
- `#I335107` - Table with position property is now displayed properly when it overlap on another table.
- `#I334036` - Resolved the spell check word by word service triggering issue in optimized spell check mode.
- `#I330165`, `#I327647`, `#I324515`, `#I338278` - Resolved the issues in comment edit, delete, and history operation.
- `#I336315` - Tab character inside absolute positioned table is now displayed properly.
- `#I319206` - Resolved the issue with displaying the horizontal line shape.
- `#F167416` - Line spacing is now preserved properly in server-side export.
- `#I335145`, `#I337499` - Resolved the text size measurement issue when HTML and body tag contains styles.
- `#I339105` - Resolved the number formatting color change issue.
- `#I340265` - Default value for text form field is now preserved properly in Word export.
- `#I336632` - Style names are now properly listed in the drop down of text properties pane.
- `#I338027` - Track changes close icon is now positioned properly in RTL mode.
- `#I337566` - Last empty paragraph (cell mark) inside a table cell after a nested table is now invisible.
- `#I340416` - Resolved the script error with custom toolbar items during destroy.
- `#I337274` - Resolved the border issue for merged cell.
- `#I336588` - Resolved the RTL text issue when copy and paste with text only option.
- `#I338123` - Line spacing is now applied properly for the result text of text form field.
- `#I337118` - Shape inside a table is now displayed properly.
- `#I337397` - Resolved the script error when opening a document with nested table.
- `#I337786` - Empty footer is now ignored properly from bottom margin calculation.
- `#I337968` - Resolved the automatic color issue for the text inside table.
- `#I339240` - Resolved the RTL text issue when deleting the text.
- `#I339488` - Resolved the script error while opening a document with footnote.
- `#I339715` - Footnote is now displayed properly on next page after editing.
- `#I339454` - Resolved alignment issue for a table that is wrapped over a positioned object.
- `#I341016` - Resolved the script error while exporting a document with empty list.
- `#I334046` - Optimized the spell check by page service call in optimized spell check mode.

### New Features

- `#I256210`, `#F150773`, `#I295055`, `#I295551`, `#I324037`, `#I326715` - Added support for Widow/Orphan control, Keep with next and Keep lines together properties.
- `#I298019`, `#I307321`, `#F160804`, `#F164217`, `#F164872` – Improved the accuracy of text size measurements such as to match Microsoft Word pagination for most Word documents.
- `#I243246`, `#I249594`, `#I287633`, `#I295055`, `#I295549`, `#I299657`, `#I308408`, `#I326567` – Added support to preserve tables with position properties.
- Added option to directly convert DocIO's WordDocument to SFDT and vice-versa.

## Dropdown Tree

### Bug Fixes

- `#I342360`, `#I342351` - The issue with "The Dropdown Tree component is not rendered when providing an id that starts with an integer type" has been resolved.

### New Features

- `#I301222` - Provided support to display custom selected values template in the Dropdown Tree component.

## Gantt Chart

### New Features

- Provided percentage support for height and width of Gantt element.

## Grid

### Breaking Changes

- The `groupSettings.disablePageWiseAggregates` option will be enabled automatically when using aggregates and grouping in an infinite scroll.

### New Features

- `#I284744`, `#I289234` - Provided keyboard navigation support for infinite scroll.
- `#I314791`, `#I311562` - Provided group caption collapse support for infinite scroll.

## ListView

### Bug Fixes

- `#F168185` - The issue with "Sorting is not applied properly when entering different values in the text field of the ListView component" has been resolved.

## PDF Viewer

### Bug Fixes

- `#I340993` - Out of memory exception is no longer thrown while converting the PDF document to an image.
- `#I337627` - Exception no longer occurs while finding a text from the given PDF document.
- `#I339668` - Exception is no longer thrown while loading the PDF as a FileStream in the `load()` method.
- `#I338402` - Extra lines no longer appear in the PDF document when opened with the Firefox browser.

## Pivot Table

### Bug Fixes

- `#F168308` - The pivot table can now be rendered properly with custom number formats.
- `#I339705` - When the virtualization feature is used, the pivot table can now be rendered properly without an unnecessary horizontal scrollbar when the content does not require it.
- `#I341987` - The pivot table can now be rendered properly while perform filtering with OLAP data source.
- `#I342221` - The pivot table can now be rendered properly while applying date grouing through UI.
- The column headers are now displayed properly while perform resizing.
- `#I342221` - The pivot table can now be rendered properly while perform member filtering with an empty header.

### New Features

- `#I300095` - Provided support to display measures at any desired positions in the column or row axis for relational data sources.

## RichTextEditor

### New Features

- `#I231505`, `#I230743`, `#I239381`, `#I261360`, `#I273955`, `#I300418`, `#I307752`, `#I312982` - Provided support to customize the tags appended when enter or shift + enter key is pressed using the property `enterKey` and `shiftEnterKey` in the Rich Text Editor.

## Schedule

### Bug Fixes

- `#I333664` - An issue with the dragging between two Schedulers has been fixed.
- `#I340348` - An issue with opening the editor window in RTL mode has been fixed.
- `#I342117` - An issue with today button navigation in Agenda view and scrolling down not happening issue has been fixed.
- `#F168358` - An issue with the "delete icon is not disabled in mobile mode" has been fixed.
- `#I340332` - An issue with the events rendering performance in vertical views has been fixed.
- `#I342489` - An issue with identify the clicked button on `popupClose` event has been fixed by providing `event` option on `PopupCloseEventArgs`.

### New Features

- `#I316891`, `#I328879`, `#I331265`, `#I335777`, `#I339302`, `#F165491` - Provided support to sort appointments by priority instead of time.
- `#I242605`, `#F160122`, `#F165334` - Provided public method for Scheduler to refresh the Scheduler layout without re-render.
- `#I314842`, `#I320731` - Provided public method for Scheduler to refresh the given templates.
- `#FB24252` - Provided template support for header indent cells.

## Sidebar

### Bug Fixes

- The issue with "The Sidebar background color is not correct in high-contrast theme" has been resolved.

## Tab

### Bug Fixes

- `#I341589` - An issue with the tab content not updated properly on the initial load has been fixed.

## Tree Grid

### New Features

- `#314841` - Provided support to freeze the columns on right, left or both sides.

## Visual Studio Extensions

### Bug Fixes

- `#FB27579` - Fixed the `Set property System.Windows.FrameworkElement.Style` exception in Syncfusion check for updates.

### New Features

- Provided the Bootstrap 5 theme support to the ASP.NET MVC project template, sample creator, and conversion and migration.

