## Chips

### New Features

- `#I308047` - Provided the `deleted` event support for the Chips component.

## Document Editor

### Bug Fixes

- `#I348089` - Resolved the protected columns, rows, and cells editing issue.
- `#I344822` - Word with hyphen characters are now displayed properly.
- `#I345558` - Resolved the table layout for the nested table with position.
- `#I346408` - Table cell content reversed on undo is now resolved.
- `#I346992` - Paragraph with widow/orphan property is now displayed properly.
- `#I341119` - Document with image and table with top and bottom wrapping style is now opened properly.
- `#I344713`- Resolved table header row rendering issue.
- `#I341963`, `#I341840` - Resolved the table rendering issue.
- `#I344704` - Resolved issue with tracking changes in empty paragraph.
- `#I344351` - Line height is now calculated properly when space character has font size greater than the paragraph mark.
- `#I345759`, `#I343106`- Resolved the table border rendering issue.
- `#I343645` - Table grid after width defined as percentage type is now properly exported in server-side.
- `#I341659` - Resolved the list alignment issue.
- `#I347230` - Line spacing value zero is now properly exported in server-side.
- `#I346468` - Resolved the document corruption issue due to z-order in server-side exporting.
- `#I344830` - Resolved exception in opening and saving the document with calculation type form field.
- `#I345582`, `#I341985` - Document with tab width is now displayed properly.
- `#I346985` - Line height is now properly updated for tab character when its font size greater than other elements in the line.
- `#FB29648` - Table rows/columns in header and footer are now resized properly.
- `#I349115` - Resolved the scrolling behaviour issue when using `goToPage` API.
- `#I348516` - Table/Cell background color is preserved properly during copy/paste.
- `#I341891` - Resolved the hanging issue while editing the footnote content.
- `#I344790` - Resolved the footnote overlapping issue when editing a table.
- `#I343310` - Resolved the blank page issue in the exported Word document due to footnote.
- `#I345594` - Resolved the new style listing problem when Document editor is localized for languages other than English.
- `#I344840` - Resolved the height and width for `insertImage` API.
- `#I343403` - Resolved the script error while opening document with tracked changes and restrict editing enabled.
- `#I342774` - The Word document is now exported properly when the document contains content control.
- `#I340276` - Resolved issue with entering custom date time value for form field.
- `#I344605` - Resolved the context menu displaying issue when multiple instances of Document Editor are used in same page.
- `#I337087`, `#I344332` - Improved the suggestion construction logic for error words.
- `#I338302` - Resolved the hanging issue when opening document with table.
- `#I339240` - RTL list is now deleted properly.
- `#I340758` - The Word document is now exported properly when the document contains table with merged cells.
- `#I341140` - Tracked changes is now updated properly for the existing empty line.
- `#F167253`, `#F168269` - Track changes pane visibility issue is now resolved.
- `#F168463` - The floating element with square wrapping style is now displayed properly.
- `#I338947` - Resolved the issue with undo after pasting Hebrew text.
- `#I341435` - Optimized the content change event triggering in Document Editor.
- `#I340867` - Selection is now working properly after applying character format.
- `#I341335` - Text formatting is now preserved properly for merge fields.
- `#I339239`, `#I339242`, `#I339021` - RTL text are now arranged properly.
- `#I335659` - RTL text are now preserved properly on undo/redo.
- `#I340643` - The comment mark is now removed properly when deleting comment.
- `#I339335` - Resolved the hanging issue when editing document with Hebrew text.
- `#I340121` - Resolved the issue with rendering elbow connector as line connector.
- `#I339453` - Resolved the issue with rendering a fixed width table.
- `#I341119` - Resolved the overlapping issue for image with top and bottom wrapping inside table.
- `#I339602` – Track changes is now updated properly in header and footer.
- `#I341964`, `#I342165` – RTL text is now arranged properly when copy/paste.
- `#I339714` – Footnote order is now updated properly.
- `#I339973` - Table is now preserved properly in the exported Word document.
- `#I340795` – Field is now copied properly.
- `#I339872` – Page number in footer is now updated properly.
- `#I339576`, `#F168072` – Resolved the issue in applying page orientation with the section break.
- `#I339027` – Resolved the script error in saving document with tracked changes in header/footer.
- `#I340532` – Html elements are now properly disposed.
- `#F168319` – Resolved the ViewChange event binding issue in Document Editor component.
- `#I341375` – Resolved the undo/redo issue in comment editing operations.

### New Features

- `#I345565` - Added support for Word 2013 justification.
- `#I343497` - Added support to display the texture style for table cell shading.
- `#I343751` - Added alert window for row and column specified more than 63 and 32767 respectively in insert table dialog.
- `#I342110` - Added event to customize the XMLHttpRequest in DocumentEditor and DocumentEditorContainer component.

## File Manager

### Bug Fixes

- `#F166908` - The issue with "When pressing Ctrl+A key, the scroll bar is moved to last item in File Manager detail view" has been resolved.

## Gantt

### Breaking Changes

- Original user datasource is maintained in `taskData` and `dataSource` properties in Gantt during load time. It will update only after CRUD operation.

## ListView

### Bug Fixes

- `#F164730` - "While grouping is enabled, dynamic items are not added to the proper group field in the ListView component" issue has been resolved.
- `#F166229` - The issue with "The ListView select event is not triggered when selecting items using the space key" has been resolved.

## Maps

### Bug Fixes

- `#F163990` - When the `imageUrlValuePath` property is set as the source image for the markers, image type markers will render properly.

### New Features

- GeoJSON maps with "LineString" geometry type is now supported in the Maps control.
- When the `animationDuration` property is set, the zooming of map service providers such as OSM, Bing, and others is now smoother.

## PDF Viewer

### Bug Fixes

- `346343`- Now, the text wraps based on the word length regardless of character length in free-text annotation.

### New Features

- `#354638` - Provided auto fit support to the free text annotations.

## Pivot Table

### Bug Fixes

- `#I349396` - When the virtual scrolling feature is enabled, as well as when members are filtered, the Pivot Table can now be rendered properly.
- `#I340539` - In Angular, the bundle size for Pivot Table has been reduced.
- `#I347116` - With the toolbar UI, the Pivot Chart is now refreshed properly.
- `#I347116` - With the Pivot Chart's default settings, its labels are displayed properly.
- `#I348183` - While performing value sorting with a single measure, the Pivot Table will now be rendered properly.
- `#I348952` - In the pivot table, the tooltip for string fields is now properly displayed.
- `#F170928` - When using the virtual scrolling feature, the calculated field buttons with edit option inside grouping bar and field list layout are now properly displayed.
- `#F170654` - The caption in the grouping field buttons within the grouping bar and field list layout is now displayed properly.

### New Features

- `#I295658`, `#I320675`, `#I329355`, `#F158271`, `#F158475` - Provided support to display summarized totals (grand totals) either at the first or last position in the Pivot Table's row and column axes.
- `#I327744` - Provided support to align text for specific column headers.
- `#F159996` - Provided action begin and complete events to identify UI actions in the Pivot Table such as drill down/up, value sorting, grouping bar and field list UI actions, and CRUD operations. If the UI actions do not achieve the desired result, the action failure event is triggered.

## RichTextEditor

### Bug Fixes

- `#F168838` - The issue with "Image is not inserted in the editor, when using the `Turkish` language" has been resolved.

## Schedule

### New Features

- `#I256450`, `#I256493`, `#I341525` - Provides support for flexible month view that starts from the beginning of the week the displayed date falls in. Also, users can set the number of weeks to be displayed in the Month view.
- `#FB9963`, `#I331086` - Provided an option to customize the header names when the Scheduler is exported to Excel.
- `#I276542`, `#F169844` - Provided support to set the minimum event duration for appointments to make the event subject easier to read.

## Sidebar

### Bug Fixes

- `#I347551` - The issue with "The sidebar main content margin value changes when using Sidebar type as Over and dock support" has been fixed.

## Signature

The Signature control allows user to draw smooth signatures as vector outline of strokes using variable width Bézier curve interpolation. You can use your finger, pen, or mouse on a tablet, touchscreen, etc., to draw your own signature on this Signature control.


- **Customization** - Support various customization options like background color, background image, stroke color, stroke width, save with background, undo, redo, clear, readonly, and disabled.
- **Load** - Support to load the signature as base64.
- **Draw** - Support to draw the text with the different font family and font size.
- **Save** - Support to save the signature as image like PNG, JPEG, and SVG.

## Tab

### New Features

- `#I302394` - Provided support to maintain the active item in either tab header area or inside the popup.
- `#F166169` - Provided support to identify the tab select event raised by user interaction or programmatic way.

## Tooltip

### New Features

- `#I322737` - The `container` property support has been provided which allows to place the tooltip's pop-up within any user preferred element.

## Tree Grid

### Bug Fixes

- `#I348001`,`#I349046`,`#I349018` Throws script error while performing scroll on Virtualization enabled has been fixed.

### New Features

- Provided support for `expandByKey`, `collapseByKey` methods and improved `expantAtLevel`, `collapseAtLevel` methods for nested records in tree grid.
- Provided Adaptive UI layout support for all devices.

## TreeView

### New Features

- `#FB27518` - Provided support to wrap the TreeView node text when its text content exceeds the TreeView node width.

## Visual Studio Extensions

### New Features

- Provided the Visual Studio 2022 support in the Syncfusion ASP.NET MVC Sample Creator.

