## Grid

### Bug Fixes

- Group footer template shows incorrect value while using `disablePageWiseAggregate` issue fixed.
- Unable to sort when set dynamic sort settings in descending order resolved.
- Footer aggregate row is not aligned properly when using child grid resolved.
- In batch editing, script error occurs when focusing on grid after clicking add and cancel button fixed.
- Filter icon misalignment with text wrap enabled resolved.
- Selection retained after unchecking the check all checkbox with remote data source fixed.
- `actionComplete` event is not triggered for batch cancel resolved.
- Frozen content got hidden while adding new row with auto height is resolved.
- Unable to use auto complete inside filter bar template resolved.
- Aggregates row get misaligned while horizontal scrolling if vertical scrollbar presents resolved.
- Excel filter dialog is not updated when properties updated through `setProperties` issue resolved.
- Indent column disappeared when resizing the hierarchy column in Grid issue fixed.

The Grid component is used to display and manipulate tabular data with configuration options to control the way the data is presented and manipulated. It will pull data from a data source, such as array of JSON objects, `OData web services`, or `DataManager` binding data fields to columns. Also displaying a column header to identify the field with support for grouped records.


- [**Data sources**](https://ej2.syncfusion.com/vue/demos/#/material/grid/localdata.html) - Bind the Grid component with an array of JSON objects or DataManager.
- [**Sorting and grouping**](https://ej2.syncfusion.com/vue/demos/#/material/grid/grouping.html) - Supports n levels of sorting and grouping.
- [**Filtering**](https://ej2.syncfusion.com/vue/demos/#/material/grid/filtering.html) - Offers filter UI such as filter bar, menu, excel and checkbox at each column to filter data.
- [**Paging**](https://ej2.syncfusion.com/vue/demos/#/material/grid/paging.html) - Provides the option to easily switch between pages using the pager bar.
- [**Editing**](https://ej2.syncfusion.com/vue/demos/#/material/grid/inlineediting.html) - provides the options for create, read, update, and delete operations.
- **Columns** - The column definitions are used as the dataSource schema in the Grid. This plays a vital role in rendering column values in the required format.
- [**Reordering**](https://ej2.syncfusion.com/vue/demos/#/material/grid/reorder.html) - Allows you to drag any column and drop it at any position in the Grid’s column header row, allowing columns to be repositioned.
- [**Column Chooser**](https://ej2.syncfusion.com/vue/demos/#/material/grid/columnchooser.html) - The column chooser provides a list of column names paired with check boxes that allow the visibility to be toggled on the fly.
- [**Resizing**](https://ej2.syncfusion.com/vue/demos/#/material/grid/columnresize.html) - Resizing allows changing column width on the fly by simply dragging the right corner of the column header.
- [**Freeze**](https://ej2.syncfusion.com/vue/demos/#/material/grid/frozen.html) - Columns and rows can be frozen to allow scrolling and comparing cell values.
- [**Cell Spanning**](https://ej2.syncfusion.com/vue/demos/#/material/grid/columnspanning.html) - Grid cells can be spanned based on the preferred criteria.
- [**Foreign data source**](https://ej2.syncfusion.com/vue/demos/#/material/grid/foreignkey.html) - This provides the option to show values from external or lookup data sources in a column based on foreign key/value mapping.
- **Cell Styling** - Grid cell styles can be customized either by using CSS or programmatically.
- [**Selection**](https://ej2.syncfusion.com/vue/demos/#/material/grid/selection.html) - Rows or cells can be selected in the grid. One or more rows or cells can also be selected by holding Ctrl or Command, or programmatically.
- **Templates** - Templates can be used to create custom user experiences in the grid.
- **Aggregation** - Provides the option to easily visualized the Aggregates for column values.
- [**Context menu**](https://ej2.syncfusion.com/vue/demos/#/material/grid/contextmenu.html) -The context menu provides a list of actions to be performed in the grid. It appears when a cell, header, or the pager is right-clicked.
- [**Clipboard**](https://ej2.syncfusion.com/vue/demos/#/material/grid/clipboard.html) - Selected rows and cells can be copied from the grid
- [**Export**](https://ej2.syncfusion.com/vue/demos/#/material/grid/export.html) - Provides the options to Export the grid data to Excel, PDF, and CSV formats.
- [**RTL support**](https://ej2.syncfusion.com/vue/documentation/grid/globalization-and-localization.html#right-to-left---rtl) - Provides a full-fledged right-to-left mode which aligns content in the Grid control from right to left.
- [**Localization**](https://ej2.syncfusion.com/vue/documentation/grid/globalization-and-localization.html#localization) - Provides inherent support to localize the UI.

